ARISE Platform - API Reference Guide (v1.0.0)

Download OpenAPI specification:Download

Last updated: 4.28.2026 4:19 PM

Getting Started

The following is an overview for using the Aurora API suite and making endpoint calls. Getting started has the following steps:

  • Creating an Aurora Payments Account
  • Creating an API Key
  • Developing in the Sandbox Environment
  • Going Live

Creating an Aurora Payments Account

Before using the Aurora API suite, you must have an account created for you. If you are new to Aurora or are interested in using the Aurora Payments API suite, contact the appropriate team below:

The appropriate sales team will create your user account and help customize access based on your integration requirements. You will be assigned an account name. This will be a registered account on the Aurora Merchant Portal Sandbox. Upon first login, you will create your account password.

If you are already a registered merchant and have technical or operational questions, contact the Aurora Integrations Support Team: isvsupport@risewithaurora.com

Creating an API Key

After registering an Aurora account, an API key is required.

An API key is a pair of credentials, the client Id and the client secret, that together uniquely identifies and authenticates a specific account. The API key is important in that it is needed to create an API token. An API token is required to use each Aurora API endpoint.

Each merchant account requires at least one active and valid API key.
To create an API key, see Creating an API Key.

API keys may also be explicitly deleted as needed. This deletion may be part of a periodic key rotation, as your security procedures require. We recommended deleting an API key if you suspect that the client secret is compromised. In either case, a new API key can be created.
To delete an API key, see Deleting an API Key.

Developing in the Sandbox Environment

You will work with your Aurora support team developing workflows and tools. This will be in the sandbox account for development and testing. The sandbox account is a fully isolated account that mirrors production behavior. It does not process real transactions. It is used to validate your integration before going live.

Going Live

When your product is ready to be deployed live, the Aurora support team will work with you to ensure compliance. This compliance follows the production readiness checklist. It ensures the best and optimal developer, client, and customer experience.

For more information and details about the production readiness checklist, see Production Go-Live Guide.

API Suite Fundamentals

The following sections are general information required for using the Aurora API suite.

BaseURL Environments

Aurora provides different environments to run endpoints

Sandbox
The sandbox environment is for development and testing. No payments, charges, or invoices will be enforced. It is a fully isolated account that mirrors production behavior.

It is used to validate your integration before going live. You will work with your Aurora support team developing workflows and tools.

baseURL: https://api.uat.arise.risewithaurora.com

Production
Use the production environment for deploying the payment system live to clients. All payments, charges, or invoices will be enforced.

When your product is ready to be deployed live, the Aurora support team will work with you to ensure compliance. This compliance follows the production readiness checklist. It ensures the best and optimal developer, client, and customer experience.

For more information and details about the production readiness checklist, see Production Go-Live Guide.

baseURL: https://api.arise.risewithaurora.com

Using the baseURL
Use the baseURL instead of the placeholder noted in each endpoint. For example, an endpoint may be described as in the endpoint documentation as:
POST {{baseURL}}/pay-api/v1/customers

To make this call in the sandbox environment, use:
POST https://api.uat.arise.risewithaurora.com/pay-api/v1/customers

To make this call in the production environment, use:
POST https://api.arise.risewithaurora.com/pay-api/v1/customers

Generating an API Token

An API token is required for each endpoint use. An API token can only be created after an account is created, registered, and at least one API key has been created.

The API token is an authorization token needed for each for endpoint. It is an encrypted string that combines the client Id and client secret from an API key (created earlier). It contains authentication and authorization coding. This includes any privileges the user or account affords. Being encrypted means the API token is safe to expose in frontend code. The API token is time-sensitive and expires after an amount of time.

It may be created as needed. We recommend generating a new API token before each endpoint use. This ensures the API token will be valid for each call.

The API token is an OAuth 2.0 Client Credentials authorization flow. The Client Credentials Flow is an OAuth 2.0 authorization Bearer grant. This means a server-side application obtains an access token using its client credentials (client ID and client secret) to protect resources.

Generating the API Token

An API token is created for the environment it will be used in. There are two available Aurora environments.

Production
Use the production environment for deploying the payment system live to clients. All payments, charges, or invoices will be enforced.
Endpoint: POST https://oauth.arise.risewithaurora.com/oauth2/token

Sandbox
Use the sandbox environment for development and testing. No payments, charges, or invoices will be enforced.
Endpoint: POST https://oauth.uat.arise.risewithaurora.com/oauth2/token

The sandbox and production environments API tokens use the same API key and differentiated only by the environment endpoint. The two API tokens types are not interchangeable and cannot be used in an environment different than they were created for.

The API key that was created in the initial account registration is needed to create an API token. The client ID and client secret are used together to create an API token.

In the POST request, include the following as the request body:

Parameter Name Example Notes
grant_type client_credentials It must be this literal value.
scope offline_access It must be this literal value.
client_id 594838709594...38697242c The client ID from the API key for the account.
client_secret 9eb2c6859daa4...d8ae5da02a9 The client secret from the API key for the account.

The following is an example of the complete request for the sandbox environment:

curl -X POST 'https://oauth.uat.arise.risewithaurora.com/oauth2/token' \
-u '594838709594...38697242c:9eb2c6859daa4...d8ae5da9' \
-H 'Content-Type: application/x-www-form-urlencoded' \
-d 'grant_type=client_credentials&scope=offline_access'

The following example is passed back in the response body:

{
  "access_token": "u7BYwJx26U1lT...TZpKvndLCC4",
  "refresh_token": "def50200newrefresh123456789",
  "token_type": "Bearer",
  "expires_in": 3600
}

The response body:

Field Name Description
access_token The JWT (JSON web token) access token to include as the API request Authorization header field of each endpoint.
refresh_token The JWT (JSON web token) refresh access token.
token_type Always Bearer.
expires_in The access_token's lifetime in seconds.

For example, 900 (seconds) is 15 minutes.

Using the Access Token

The token endpoint returns both an access_token and a refresh_token. The lifespan of the access_token is indicated by the expires_in value. The lifespan of the refresh_token is set by OAuth standards.

Clients are encouraged to use either token as needed. For example, it may be easier to call for a new access_token before each user-initiated action. The access_token may also be left to expire, and then use refresh_token procedures to continue. Alternatively, mobile phones apps may need to use the refresh_token to avoid consistently signing back in.

In the endpoint header, use the following access_token format:

"Authorization": "Bearer: u7BYwJx26U1lT...TZpKvndLCC4"

The following example creates a new access token:

curl 'https://api.uat.arise.risewithaurora.com/pay-api/v1/transactions' \
-H 'Authorization: Bearer u7BYwJx26U1lT...TZpKvndLCC44' \
-H 'Accept: application/json'

As a reminder, always secure your client ID and especially your client secret. Never expose the client secret in client-side code or public repositories. It should be kept private and secure. If it is suspected that the client secret has been compromised, the owning API key must be deleted. A new API key can then be created

Error Responses

If authentication fails, the token endpoint returns an error. The following are commonly encountered errors.

HTTP Status Common Cause
400 Bad Request Missing or invalid grant_type, or malformed request body.
401 Unauthorized The API token has likely expired. Create a new one and retry the request.

Payment Flow

The following is a generalized workflow.

Approving a Purchase Request

  1. The customer completes their shopping experience on the merchant's website by selecting the products or services. They navigate to the checkout page on the merchant's website.
  2. They enter their personal and payment information. This could include card details, or net banking information.
  3. The merchant's website captures these details, formatting the details as needed to conform to Aurora payment gateway requirements.
  4. This sensitive data is transmitted by a secure connection (HTTPS) to the Aurora payment gateway. The Aurora payment gateway is a service that makes authorization and sale by cards or ACH (automated clearing house, an electronic network used by financial institutions to process direct deposits).
  5. Upon receiving this information, the Aurora payment gateway further routes this payment data to the processing center, such as TSYS.
  6. This entity communicates with the customer's bank to get authorization or denial for the payment. The processing center determines if the payment is approved, that is, if there are sufficient funds or credit available in the customer's account.

Acknowledging a Purchase Request

  1. After the transaction is processed, the processing center sends back a response to the Aurora payment gateway. This response includes details of the transaction, such as whether it was approved or declined.
  2. The Aurora payment gateway relays this information back to the merchant's website.
  3. The merchant's website receives this information and displays a message or signal for the customer. Depending on whether the transaction was approved or declined, the appropriate message is displayed to the customer. For instance:
    If transaction was successful, a confirmation message is shown, usually with a transaction ID and other details.
    If it was declined, the customer is informed and typically asked to try another payment method.

Supported Card Types

The following credit cards and formats are supported.
  • Diners Club: Card numbers are typically 14 or 16 digits long.
  • Discover: Card numbers are typically 16 digits long.
  • JCB: Card numbers are typically 16 digits long.
  • MasterCard: Card numbers are typically 16 digits long.
  • VISA: Card numbers are typically 13 or 16 digits long.

Aurora-Defined Enums

The following are Aurora-defined enumerations and indices used in endpoint fields.
Account Holder Types
id name
1 Business
2 Personal
Account Types
id name
1 Checking
2 Savings
Affiliate Statuses
id name
1 Active
2 Suspended
Affiliate Business Model Types
id name
1 SingleAffiliateModel
2 SubAffiliateModel
Business Categories
id name
1 WebDeveloper
2 IndependentSoftwareVendor
3 IndependentSalesOrganization
Card Types
id name
1 Visa
2 MasterCard
3 AmericanExpress
4 DinersClub
5 Discover
6 JCB
Countries
id isoCode name
1 US United States
2 CA Canada
3 PR Puerto Rico
4 AF Afghanistan
5 AX Åland Islands
6 AL Albania
7 DZ Algeria
8 AS American Samoa
9 AD Andorra
10 AO Angola
11 AI Anguilla
12 AQ Antarctica
13 AG Antigua and Barbuda
14 AR Argentina
15 AM Armenia
16 AW Aruba
17 AU Australia
18 AT Austria
19 AZ Azerbaijan
20 BS Bahamas
21 BH Bahrain
22 BD Bangladesh
23 BB Barbados
24 BY Belarus
25 BE Belgium
26 BZ Belize
27 BJ Benin
28 BM Bermuda
29 BT Bhutan
30 BO Bolivia (Plurinational State of)
31 BQ Bonaire, Sint Eustatius and Saba
32 BA Bosnia and Herzegovina
33 BW Botswana
34 BV Bouvet Island
35 BR Brazil
36 IO British Indian Ocean Territory
37 UM United States Minor Outlying Islands
38 VG Virgin Islands (British)
39 VI Virgin Islands (U.S.)
40 BN Brunei Darussalam
41 BG Bulgaria
42 BF Burkina Faso
43 BI Burundi
44 KH Cambodia
45 CM Cameroon
46 CV Cabo Verde
47 KY Cayman Islands
48 CF Central African Republic
49 TD Chad
50 CL Chile
51 CN China
52 CX Christmas Island
53 CC Cocos (Keeling) Islands
54 CO Colombia
55 KM Comoros
56 CG Congo
57 CD Congo (Democratic Republic of the)
58 CK Cook Islands
59 CR Costa Rica
60 HR Croatia
61 CU Cuba
62 CW Curaçao
63 CY Cyprus
64 CZ Czech Republic
65 DK Denmark
66 DJ Djibouti
67 DM Dominica
68 DO Dominican Republic
69 EC Ecuador
70 EG Egypt
71 SV El Salvador
72 GQ Equatorial Guinea
73 ER Eritrea
74 EE Estonia
75 ET Ethiopia
76 FK Falkland Islands (Malvinas)
77 FO Faroe Islands
78 FJ Fiji
79 FI Finland
80 FR France
81 GF French Guiana
82 PF French Polynesia
83 TF French Southern Territories
84 GA Gabon
85 GM Gambia
86 GE Georgia
87 DE Germany
88 GH Ghana
89 GI Gibraltar
90 GR Greece
91 GL Greenland
92 GD Grenada
93 GP Guadeloupe
94 GU Guam
95 GT Guatemala
96 GG Guernsey
97 GN Guinea
98 GW Guinea-Bissau
99 GY Guyana
100 HT Haiti
101 HM Heard Island and McDonald Islands
102 VA Holy See
103 HN Honduras
104 HK Hong Kong
105 HU Hungary
106 IS Iceland
107 IN India
108 ID Indonesia
109 CI Côte d'Ivoire
110 IR Iran (Islamic Republic of)
111 IQ Iraq
112 IE Ireland
113 IM Isle of Man
114 IL Israel
115 IT Italy
116 JM Jamaica
117 JP Japan
118 JE Jersey
119 JO Jordan
120 KZ Kazakhstan
121 KE Kenya
122 KI Kiribati
123 KW Kuwait
124 KG Kyrgyzstan
125 LA Lao People's Democratic Republic
126 LV Latvia
127 LB Lebanon
128 LS Lesotho
129 LR Liberia
130 LY Libya
131 LI Liechtenstein
132 LT Lithuania
133 LU Luxembourg
134 MO Macao
135 MK Macedonia (the former Yugoslav Republic of)
136 MG Madagascar
137 MW Malawi
138 MY Malaysia
139 MV Maldives
140 ML Mali
141 MT Malta
142 MH Marshall Islands
143 MQ Martinique
144 MR Mauritania
145 MU Mauritius
146 YT Mayotte
147 MX Mexico
148 FM Micronesia (Federated States of)
149 MD Moldova (Republic of)
150 MC Monaco
151 MN Mongolia
152 ME Montenegro
153 MS Montserrat
154 MA Morocco
155 MZ Mozambique
156 MM Myanmar
157 NA Namibia
158 NR Nauru
159 NP Nepal
160 NL Netherlands
161 NC New Caledonia
162 NZ New Zealand
163 NI Nicaragua
164 NE Niger
165 NG Nigeria
166 NU Niue
167 NF Norfolk Island
168 KP Korea (Democratic People's Republic of)
169 MP Northern Mariana Islands
170 NO Norway
171 OM Oman
172 PK Pakistan
173 PW Palau
174 PS Palestine, State of
175 PA Panama
176 PG Papua New Guinea
177 PY Paraguay
178 PE Peru
179 PH Philippines
180 PN Pitcairn
181 PL Poland
182 PT Portugal
183 QA Qatar
184 XK Republic of Kosovo
185 RE Réunion
186 RO Romania
187 RU Russian Federation
188 RW Rwanda
189 BL Saint Barthélemy
190 SH Saint Helena, Ascension and Tristan da Cunha
191 KN Saint Kitts and Nevis
192 LC Saint Lucia
193 MF Saint Martin (French part)
194 PM Saint Pierre and Miquelon
195 VC Saint Vincent and the Grenadines
196 WS Samoa
197 SM San Marino
198 ST Sao Tome and Principe
199 SA Saudi Arabia
200 SN Senegal
201 RS Serbia
202 SC Seychelles
203 SL Sierra Leone
204 SG Singapore
205 SX Sint Maarten (Dutch part)
206 SK Slovakia
207 SI Slovenia
208 SB Solomon Islands
209 SO Somalia
210 ZA South Africa
211 GS South Georgia and the South Sandwich Islands
212 KR Korea (Republic of)
213 SS South Sudan
214 ES Spain
215 LK Sri Lanka
216 SD Sudan
217 SR Suriname
218 SJ Svalbard and Jan Mayen
219 SZ Swaziland
220 SE Sweden
221 CH Switzerland
222 SY Syrian Arab Republic
223 TW Taiwan
224 TJ Tajikistan
225 TZ Tanzania, United Republic of
226 TH Thailand
227 TL Timor-Leste
228 TG Togo
229 TK Tokelau
230 TO Tonga
231 TT Trinidad and Tobago
232 TN Tunisia
233 TR Turkey
234 TM Turkmenistan
235 TC Turks and Caicos Islands
236 TV Tuvalu
237 UG Uganda
238 UA Ukraine
239 AE United Arab Emirates
240 GB United Kingdom of Great Britain and Northern Ireland
241 UY Uruguay
242 UZ Uzbekistan
243 VU Vanuatu
244 VE Venezuela (Bolivarian Republic of)
245 VN Viet Nam
246 WF Wallis and Futuna
247 EH Western Sahara
248 YE Yemen
249 ZM Zambia
250 ZW Zimbabwe
Transaction Creator Types
id name
1 Portal
2 ApiToken
3 Terminal
4 Invoice
5 QuickPayment
6 WebComponent
7 Subscription
8 MobileApp
9 TapToPay
MCC Codes
id code description
1 5561 Camper, Recreational and Utility Trailer Dealers
2 3658 New Otani Hotels
3 3669 Eldorado Hotel and Casino
4 3663 Hoteles El Presidente
5 3660 Knights Inn
6 3670 Arcade Hotels
7 3667 Luxor Hotel and Casino
8 3655 Scandic Hotels
9 3657 Oberoi Hotels
10 3662 Circus Circus Hotel and Casino
11 3654 Loews Hotels
12 3652 Embassy Hotels
13 3664 Flag Inns
14 3661 Metropole Hotels
15 3651 Imperial London Hotel
16 3653 Penta Hotels
17 3666 Stakis Hotels
18 3668 Maritim Hotels
19 3665 Hampton Inn Hotels
20 3656 Sara Hotels
21 3659 Taj Hotels International
22 8050 Nursing and Personal Care Facilities
23 8031 Osteopathic Physicians
24 8099 Medical Services Health Practitioners - No Elsewhere Classified
25 8220 Colleges, Universities, Professional Schools, and Junior Colleges
26 7999 Recreation Services - Not Elsewhere Classified
27 8211 Elementary and Secondary Schools
28 8062 Hospitals
29 8041 Chiropractors
30 8241 Correspondence Schools
31 8049 Podiatrists and Chiropodists
32 8021 Dentists and Orthodontists
33 8011 Doctors and Physicians - Not Elsewhere Classified
34 8043 Opticians, Optical Goods and Eyeglasses
35 8071 Medical and Dental Laboratories
36 7998 Aquarium, Seaquarium, Dolphinariums
37 7997 Membership Clubs (Sports, Recreation, Athletic), Country Clubs, and Private Golf Courses
38 8042 Optometrists and Ophthalmologists
39 8111 Legal Services and Attorneys
40 3161 All Nippon Airways
41 3164 Norontair
42 3171 Canadian Airlines
43 3172 Nation Air
44 3159 PBA-Provincetwn-Bstn Air
45 3175 Middle East Air
46 3174 JetBlue Airways
47 3167 Aero Continente - AEROCONTINENTE
48 3432 Reserve Rent-a-Car
49 5099 Durable Goods Not Elsewhere Classified (Business to Business MCC)
50 5085 Industrial Supplies Not Elsewhere Classified (Business to Business MCC)
51 5139 Commercial Footwear (Business to Business MCC)
52 5137 Men's, Women's and Children's Uniforms (Business to Business MCC)
53 5193 Florist Suppliers, Nursery Stock & Flowers (Business to Business MCC)
54 5122 Drugs, Drug Proprietary's, and Druggists' Sundries
55 5051 Metal Service Centers and Offices (Business to Business MCC)
56 5211 Lumber & Building Materials Stores
57 5200 Home Supply Warehouse
58 5111 Stationery, Office Supplies, and Printing and Writing Paper
59 5172 Petroleum and Products (Business to Business MCC)
60 5131 Piece Goods, Notions and Other Dry Goods (Business to Business MCC)
61 5192 Books, Periodicals and Newspapers (Business to Business MCC)
62 5271 Mobile Home Dealer
63 5169 Chemicals and Allied Products Not Elsewhere Classified (Business to Business MCC)
64 5065 Electrical Parts and Equipment (Business to Business MCC)
65 5074 Plumbing and Heating Equipment and Supplies (Business to Business MCC)
66 5261 Nurseries and Lawn and Garden Supply Stores
67 5251 Hardware Stores, Equipment Utilities Regulated
68 5094 Precious Stones, Metals, Watches and Jewelry (Business to Business MCC)
69 5072 Hardware, Plumbing, Heat Equipment and Supplies (Business to Business MCC)
70 5198 Paints, Varnishes and Supplies (Business to Business MCC)
71 5199 Non-durable Goods Not Elsewhere Classified (Business to Business MCC)
72 5231 Glass, Paint, and Wallpaper Stores
73 3640 Hyatt Motels
74 3632 The Phoenician
75 3638 Howard Johnson
76 3641 Sofitel Hotels
77 3650 Red Roof Inns
78 3629 Dan Hotels
79 3649 Radisson
80 3645 Queens Moat Houses
81 3639 Mount Charlotte Thistle
82 3634 Swissotel
83 3643 Steigenberger Hotels
84 3644 EconoLodges
85 3636 Sarova Hotels
86 3637 Ramada Inns
87 3630 Extended Stay Deluxe
88 3646 Swallow Hotels
89 3628 Excalibur Hotel and Casino
90 3627 Extended Stay America
91 3635 Reso Hotel
92 3647 Husa Hotels
93 3633 Rank Hotels
94 3648 De Vere Hotels
95 3631 Sleep Inn
96 3642 Novotel
97 3626 Studio Plus
98 7991 Tourist Attractions and Exhibits
99 7933 Bowling Alleys
100 7993 Video Amusement Game Supply
101 7941 Commercial Sports, Professional Sports Clubs, Athletic Fields, and Sports Promoters
102 7994 Video Game Arcades and Establishments
103 7992 Public Golf Courses
104 7995 Betting, including Lottery Tickets, Casino Gaming Chips, Off- Track Betting, and Wagers at Race Track
105 7996 Amusement Parks, Circuses, Carnivals, and Fortune Tellers
106 3151 Air Laire
107 3130 Sunworld International Airways
108 3148 Air Littoral SA
109 3146 Luxair
110 3112 Windward Island
111 3156 Go Fly
112 3144 Virgin Atlantic
113 3129 Surinam Airways
114 3125 Tan Airlines
115 3132 Frontier Airlines
116 3141 Seair Alaska
117 3106 Braathens S.A.F.E. (Norway)
118 3117 Venezolana Int de Aviacion
119 3135 Sudan Airlines
120 3131 VLM Air
121 3136 Qatar Air
122 3111 British Midland
123 3127 Taca International
124 4723 Package Tour Operators (Germany Only)
125 4815 Monthly Summary Telephone Charges
126 4829 Quasi Cash - Money Transfer
127 4582 Airports, Flying Fields, and Airport Terminals
128 4899 Cable, Satellite, and Other Pay Television and Radio Services
129 4457 Boat Rentals and Leasing
130 4511 Airlines and Air Carriers
131 4761 Telemarketing of Travel Related Services and Vitamins
132 4813 Special Telecom Merchant
133 5044 Photographic, Photocopy, Microfilm Equipment and Supplies (Business to Business MCC)
134 4468 Marinas, Marine Service, and Supplies
135 4789 Transportation Services-not elsewhere classified
136 5013 Motor Vehicle Supplies and New Parts (Business to Business MCC)
137 5047 Dental/Laboratory/Medical/Ophthalmic Hospital Equipment and Supplies
138 5046 Commercial Equipment Not Elsewhere Classified (Business to Business MCC)
139 5021 Office Furniture (Business to Business MCC)
140 5039 Construction Materials Not Elsewhere Classified (Business to Business MCC)
141 4812 Telecommunication Equipment and Telephone Sales
142 5045 Computers, Computer Peripheral Equipment, and Software
143 4784 Bridge and Road Fees, Tolls
144 4900 Utilities-Electric, Gas, Water, and Sanitary
145 4722 Travel Agencies
146 4814 Telecommunication Services, Including Local and Long Distance Calls, Credit Card Calls, Call Through Use of Magnetic-Strip-Reading Telephones, and Fax Services
147 4821 Telegraph Services
148 4816 Computer Network/Information Services and other Online Services such as electronic bulletin board, e-mail, web site hosting services, or Internet access
149 3618 Great Wolf
150 3609 Gaylord Palms
151 3612 Movenpick Hotels
152 3611 C MON INN
153 3624 Lady Luck Hotel and Casino
154 3608 Gaylord Opryland
155 3615 Travelodge Motels
156 3623 Dorint Hotels
157 3610 Gaylord Texan
158 3620 Binion's Horseshoe Club
159 3617 America's Best Value Inn
160 3621 Extended Stay
161 3622 Merlin Hotel
162 3625 Hotel Universale
163 3619 Aloft
164 3607 Fountainebleau Resort
165 3613 Microtel Inns & Suites
166 3614 Americinn
167 3087 Metro Airlines
168 3084 Eva Airlines
169 3099 Cathay Pacific
170 3102 Iberia
171 3103 Garuda (Indonesia)
172 3094 Zambia Airways
173 3090 Uni Airways
174 3085 Midwest Express Airlines, Inc
175 3089 Tans Saero
176 3105 Piedmont
177 3098 Asiana Airlines
178 3096 Air Zimbabwe
179 3097 Spanair (abbreviation: SPANAIR)
180 3100 Malaysian Airline Sys
181 7629 Electrical and Small Appliance Repair Shops
182 7692 Welding Services
183 7549 Towing Services
184 7922 Theatrical Producers (except Motion Pictures) and Ticket Agencies
185 7778 Citishare Cash Advance
186 7542 Car Washes
187 7801 Government-Licensed Casinos (Online Gambling)
188 7829 Motion Picture & Video Tape Production and Distribution (Business to Business MCC)
189 7623 Air Conditioning and Refrigeration Repair Shops
190 7800 Government-Owned Lotteries
191 7932 Billiards & Pool Establishments
192 7841 DVD/Video Tape Rental Stores
193 7929 Bands, Orchestras & Misc Entertainment
194 7911 Dance Halls, Studios & Schools
195 7832 Motion Picture Theater
196 7641 Furniture - Reupholster, Repair, and Refinishing
197 7802 Government-Licensed Horse/Dog Racing
198 7622 Electronic Repair Shops
199 7631 Watch, Clock, and Jewelry Repair Shops
200 7699 Miscellaneous Repair Shops and Related Services
201 4215 Courier Services-Air and Ground, and Freight Forwarders
202 3825 Vdara
203 4011 Railroads
204 3829 Country Inn by Carlson
205 3821 Caribe Royale
206 4121 Taxicabs and Limousines
207 3828 Cosmopolitan of Las Vegas
208 4112 Passenger Rail (train)
209 4111 Local and Suburban Commuter Passenger Transportation, including Ferries
210 3820 Jumeirah Essex House
211 4411 Steamship and Cruise Lines
212 4119 Ambulance Services
213 3827 Galt House
214 3822 Crossland
215 3823 Grand Sierra Resort
216 3826 Autograph
217 3824 Aria
218 3830 Park Plaza Hotel
219 4131 Bus Lines, includes Charters/Tour Buses
220 4225 Public Warehousing-Farm products, Refrigerated Goods, Household Goods, and Storage
221 4214 Motor Freight Carriers and Trucking-Local and Long Distance, Moving & Storage Companies, and Local Delivery
222 3819 Oxford Suites
223 3831 Waldorf
224 7230 Salon, Barber, Beauty, and Nail Salon
225 3606 Jefferson Hotel
226 3601 Trade Winds Resorts
227 3595 Hospitality Inns
228 3599 Pannonia Hotels
229 3597 Riverside Resort and Casino
230 3596 Wynn Las Vegas
231 3593 Cunard Hotels
232 3604 Hilton Garden Inn
233 3594 Arizona Biltmore
234 3602 Hudson Hotel
235 3603 Noah's Hotel
236 3600 Saddlebrook Resort - Tampa
237 3598 Regent International Hotels
238 3605 Jurys Doyle Hotel Group
239 3083 Air Afrique
240 3078 China Airlines
241 3077 Thai Airways
242 3073 Air Cal
243 3076 Aeromexico
244 3075 Singapore Airlines
245 3070 Pacific Southwest Airlines (PSA)
246 3069 Sun Country Air
247 3072 CEBU PAC
248 3082 Korean Airlines
249 3071 Air British Columbia
250 3079 Jetstar Airways - Jetstar
251 7375 Information Retrieval Services (Business to Business MCC)
252 7524 Express Payment Service Mechants - Parking Lots and Garages
253 7361 Employment Agencies and Temporary Help Services
254 7531 Automotive Top & Body Shops
255 7392 Management, Consulting, and Public Relations Services
256 7535 Automotive Paint Shops
257 7395 Photofinishing Laboratories and Photo Developing
258 7519 Motor Home and Recreational Vehicle Rentals
259 7339 Stenographic Service
260 7372 Computer Programming, Data Processing, and Integrated Systems Design Services
261 7513 Truck and Utility Trailer Rentals
262 7511 Truck Stops
263 7379 Computer Maintenance, Repair and Services (Business to Business MCC)
264 7534 Tire Retreading & Repair
265 7338 Quick Copy, Reproduction Service
266 7538 Automotive Service Shops (Non-Dealer)
267 7349 Cleaning, Maintenance & Janitorial Services
268 7523 Parking Lots and Garages
269 7399 Business Services
270 7512 Automobile Rental Agency
271 7393 Detective Agencies, Protective Agencies, and Security Services, including Armored Cars and Guard Dogs
272 7342 Exterminating and Disinfecting Services
273 7394 Equipment, Tool, Furniture, and Appliance Rental and Leasing
274 3429 Insurance Rent-a-Car
275 3431 Replacement Rent-a-Car
276 3427 Avon Rent-a-Car
277 3425 Automate Rent-a-Car
278 3430 Major Rent-a-Car
279 3412 A-1 R-A-C
280 3420 ANSA International
281 3409 General Rent-a-Car
282 3421 Allstate Rent-a-Car
283 3423 Avcar Rent-a-Car
284 3428 Carey Rent-a-Car
285 3405 Enterprise R-A-C
286 3797 Atlantic City Hilton
287 3788 Ala Moana Hotel / Ala Moana Hotels
288 3814 The Roosevelt Hotel NY
289 3813 Hotel Indigo
290 3802 The Palace Hotel
291 3818 Mainstay Suites
292 3791 Staybridge Suites
293 3796 Peppermill Hotel Casino
294 3789 Smugglers' Notch Resort
295 3810 La Costa Resort
296 3801 Wilderness Hotel and Golf Resort
297 3793 The Flamingo Hotels
298 3807 Element
299 3799 Hale Koa Hotel
300 3790 Raffles Hotels
301 3812 Hyatt Place
302 3817 Affinia
303 3794 Grand Casino Hotels
304 3795 Paris Las Vegas Hotel
305 3811 Premier Travel Inn
306 3800 Homestead
307 3815 Holiday Inn Nickelodeon
308 3808 LXR
309 3792 Claridge Casino Hotel
310 3798 Embassy Vacation Resort
311 3816 Home2 Suites
312 3588 Helmsley Hotels
313 3584 Princess Hotels International
314 3589 Doral Golf Resort
315 3586 Sokos Hotels
316 3587 Doral Hotels
317 3590 Fairmont Hotel
318 3585 Hungar Hotels
319 3591 Sonesta Hotels
320 3592 Omni Hotels
321 3068 AIR STANA
322 3064 Adria Airways
323 3058 Delta
324 3054 Ladeco (Chile)
325 3055 LAB (Bolivia)
326 3057 Virgin America – VIR AMER
327 3063 US Airways
328 3062 Hapag-Lloyd Express - HLX
329 3060 NWA Air
330 3052 LANAIR
331 3053 AVIACO (Spain)
332 3066 Southwest
333 3056 JetAir
334 3059 DBA Airlines-DBA AIR
335 3065 Airinter (AirInternational)
336 3061 Continental
337 7299 Miscellaneous Personal Services - Not Elsewhere Classified
338 7332 Blueprinting and Photocopying Services
339 7333 Commercial Photography, Art, and Graphics
340 7311 Advertising Services
341 7298 Health and Beauty Spas
342 7276 Tax Preparation Services
343 7297 Massage Parlors
344 7321 Consumer Credit Reporting Agencies
345 7277 Counseling Services - Debt, Marriage, and Personal
346 7296 Clothing Rental - Costumes, Uniforms and Formal Wear
347 7278 Buying and Shopping Services and Clubs
348 3395 Thrify Car Rental
349 3398 Econo Car R-A-C
350 3389 Avis R-A-C
351 3391 Europe by Car
352 3386 Showcase Rental Cars
353 3396 Tilden R-A-C
354 3394 Kemwell Group R-A-C
355 3400 Auto Host Car Rentals
356 3387 Alamo Rent a Car
357 3385 Tropical R-A-C
358 3388 Merchants Rent-A-Car, Inc
359 3381 Europ Car
360 3390 Dollar R-A-C
361 3393 National Car Rental
362 3772 Nemacolin Woodlands
363 3781 Patricia Grand Resort Hotels
364 3786 Ohana Hotel of Hawaii
365 3775 Sands Resort
366 3778 Four Points Hotels
367 3776 Nevele Grande Resort and Country Club
368 3782 Rosen Hotels & Resort
369 3774 New York-New York Hotel and Casino
370 3767 Main Street Hotel and Casino
371 3777 Mandalay Bay Resort
372 3770 SpringHill Suites
373 3783 Town and Country Resort and Convention Center
374 3784 First Hospitality Hotel
375 3773 The Venetian Resort Hotel and Casino
376 3787 Caribe Royale Resort Suites & Villas
377 3785 Outrigger Hotels and Resorts
378 3780 Disney Resorts
379 3779 W Hotels
380 3765 Bellagio
381 3769 Stratosphere Hotel and Casino
382 3766 Fremont Hotel and Casino
383 3768 Silver Star Hotel and Casino
384 3771 Caesar's Resort
385 3583 Radisson BLU
386 3578 Frankenmuth Bavarian
387 3580 Hotel Del Coronado
388 3575 Vagabond Hotels
389 3576 La Quinta Resort
390 3573 Sandman Hotels
391 3582 California Hotel and Casino
392 3574 Venture Inn
393 3577 Mandarin Oriental Hotel
394 3581 Delta Hotels
395 3579 Hotel Mercure
396 3044 Air Lanka
397 3042 FinnAir
398 3049 Tunis Air
399 3046 Cruzeiro do Sul (Bra)
400 3039 Avianca
401 3037 EgyptAir
402 3041 Balkan-Bulgarian
403 3043 Aer Lingus
404 3051 Austrian Airlines
405 3035 TAP (Portugal)
406 3033 Ansett Airlines
407 3045 Nigeria Airways
408 3048 Royal Air Maroc
409 3034 ETIHADAIR
410 3040 GulfAir (Bahrain)
411 3050 Icelandair
412 3038 Kuwait Airways
413 3047 THY (Turkey)
414 3036 VASP (Brazil)
415 7210 Laundry, Cleaning, and Garment Services
416 7261 Funeral Services and Crematories
417 7251 Shoe Repair Shops, Shoe Shine Parlors, and Hat Cleaning Shops
418 6535 Value Purchase - Member Financial Institution
419 7012 Timeshares
420 6533 Payment Transaction - Merchant
421 6537 MoneySend Intercountry
422 6540 POI Funding Transactions (Excluding MoneySend)
423 7032 Sporting and Recreational Camps
424 7211 Laundry Services - Family and Commercial
425 6534 Money Transfer - Member Financial Institution
426 7273 Dating Services
427 6531 Payment Service Provider
428 7011 Lodging - Hotels, Motels, and Resorts
429 7217 Carpet and Upholstery Cleaning
430 7033 Trailer Parks and Campgrounds
431 7216 Dry Cleaners
432 7221 Photographic Studios
433 6538 MoneySend Funding
434 6536 MoneySend Intracountry
435 6532 Payment Transaction - Member
436 3353 Brooks Rent a Car
437 3368 Holiday R-A-C
438 3380 Triangle Rent a Car
439 3364 Agency Rent a Car
440 3376 Ajax R-A-C
441 3361 Airways Rent a Car
442 3354 Action Auto Rental
443 3352 American International
444 3355 SIXT Car Rental
445 3359 Payless Car Rental
446 3362 Altra Auto Rental
447 3374 Accent Rent-A-Car
448 3370 Rent-a-Wreck
449 3366 Budget Rent a Car
450 3360 Snappy Car Rental
451 3357 Hertz
452 3351 Affiliated Auto Rental
453 3758 Kahala Mandarion Oriental Hotel
454 3751 Homewood Suites
455 3760 Halekulani Hotel/Waikiki Parc
456 3738 Tropicana Resort & Casino
457 3753 Greenbriar Resorts
458 3741 Millennium Hotel
459 3737 Riviera Hotel and Casino
460 3748 Wellesley Inns
461 3740 Towneplace Suites
462 3749 The Beverly Hills Hotel
463 3762 Whisky Pete's Hotel and Casino
464 3746 The Eliot Hotel
465 3761 Primadonna Hotel and Casino
466 3759 The Orchid at Mauna Lani
467 3739 Woodside Hotels & Resorts
468 3750 Crown Plaza Hotels
469 3752 Peabody Hotels
470 3764 Beau Rivage Hotel and Casino
471 3755 The Homestead
472 3747 ClubCorp/ClubResorts
473 3754 Amelia Island Plantation
474 3736 Colorado Belle/Edgewater Resort
475 3763 Chateau Elan Winery and Resort
476 3745 St. Regis Hotel
477 3757 Canyon Ranch
478 3744 Carefree Resorts
479 3560 Aladdin Resort and Casino
480 3568 Ladbroke Hotels
481 3567 Soho Grand Hotel
482 3572 Miyako Hotel
483 3562 Comfort Inns
484 3564 Sam's Town Hotel and Casino
485 3561 Golden Nugget
486 3570 Forum Hotels
487 3566 Garden Place Hotel
488 3571 Grand Wailea Resort
489 3563 Journey's End Motels
490 3565 Relax Inns
491 3569 Tribeca Grand Hotel
492 3031 Olympic Airways
493 3018 Varig (Brazil)
494 3029 SN Brussels Airlines - SN BRUSSELS
495 3025 Air New Zealand Ltd.
496 3015 SWISS
497 3016 SAS
498 3021 Air Algerie
499 3022 PAL AIR
500 3028 Air Malta
501 3024 Pakistan International
502 3032 El Al
503 3026 Emirates Airlines
504 3017 South African Airway
505 3030 Aerolineas Argentinas
506 3027 UTA/InterAir
507 3020 Air India
508 3023 Mexicana
509 6300 Insurance Sales and Underwriting
510 5992 Florists
511 6051 Visa - Non-Financial Institutions - Foreign Currency, Money Orders(not wire Transfer), & Travelers Cheques
512 5993 Cigar Stores & Stands
513 5983 Fuel Dealers--Fuel Oil, Wood, Coal, and Liquefied Petroleum
514 6381 Insurance - Premiums
515 5977 Cosmetic Stores
516 6530 Remote Stored Value Load - Merchant
517 5998 Tent and Awning Stores
518 5999 Miscellaneous & Specialty Retail Stores
519 6529 Remote Stored Value Load - Member Financial Institution
520 6010 Financial Institutions--Manual Cash Disbursements
521 6513 Real Estate Agents and Managers - Rentals; Property Management
522 5978 Typewriter Stores--Sales, Service, and Rentals
523 6211 Securities - Brokers and Dealers
524 6050 Quasi Cash - Member Financial Institution
525 5996 Swimming Pools--Sales, Supplies, and Services
526 6012 Quasi Cash - Financial Institution - Merchandise and Services
527 6011 Financial Institutions--Automated Cash Disbursements
528 5994 News Dealers & Newsstands
529 5995 Pet Shops, Pet Food, and Supplies
530 5997 Electric Razor Stores Sales & Services
531 3277 Air Madagascar
532 3298 Air Mauritius
533 3286 Aero Nicaraguensis
534 3296 Air Berlin-AIRBERLIN
535 3287 Aero Coach Aviation
536 3282 Air Djibouti
537 3279 Air LA
538 3276 Air Midwest
539 3295 Kenya Airways
540 3293 Ecuatoriana
541 3292 Cyprus Airways
542 3285 AeroPeru
543 3275 Air Nevada
544 3294 Ethiopian Airlines
545 3280 Air Jamaica
546 3291 Ariana Afghan
547 3299 Wideroe's Flyveselskap
548 3297 Tarom Romanian Air Transport
549 3729 John Ascuaga's Nugget
550 3734 Harvey/Bristol Hotels
551 3730 MGM Grand Hotel
552 3723 Rica Hotels
553 3728 Bally's Hotel and Casino
554 3725 SeaPines Plantation
555 3735 Master Economy Inns
556 3732 Opryland Hotel
557 3731 Harrah's Hotels and Casinos
558 3721 Hilton Conrad Hotels
559 3722 Wyndham Hotels
560 3726 Rio Suites
561 3724 Inter Nor Hotels
562 3727 Broadmoor Hotel
563 3556 Barton Creek Resort
564 3555 Treasure Island Hotel and Casino
565 3552 Coast Hotel
566 3553 Park Inn by Radisson
567 3546 Hotel Sierra
568 3551 Mirage Hotel and Casino
569 3542 Royal Hotels
570 3545 Shangri-La International
571 3549 Auberge des Governeurs
572 3558 Jolly Hotels
573 3543 Four Seasons
574 3559 Candlewood Suites
575 3544 Cigna Hotels
576 3554 Pinehurst Resort
577 3557 Manhattan East Suite Hotels
578 3548 Hotels Melia
579 3550 Regal 8 Inns
580 3000 United Airlines
581 3012 Qantas
582 3008 Lufthansa
583 3006 Japan Air Lines
584 3007 Air France
585 3002 Pan American
586 3001 American Airlines
587 3009 Air Canada
588 3004 Dragon Airlines
589 3011 AeroFlot
590 3010 KLM
591 3014 Saudi Arabian Airlines
592 2842 Specialty Cleaning, Polishing and Sanitation Preparations (Business to Business MCC)
593 3013 Alitalia
594 3005 British Airways
595 3003 Eurofly Airlines
596 5946 Camera and Photographic Supply Stores
597 5963 Direct Selling Establishments/Door to Door Sales
598 5965 Combined Catalog and Retail Merchant
599 5975 Hearing Aids--Sales, Service, and Supplies
600 5932 Antique Shop
601 5949 Sewing, Needlework, Fabric, and Piece Good Stores
602 5968 Continuity/Subscription Merchants
603 5961 Mail Order
604 5942 Book Stores
605 5967 Direct Marketing -- Inbound Telemarketing Merchants
606 5940 Bicycle Shop-Sales and Services
607 5944 Jewelry, Watch, Clock, and Silverware Stores
608 5973 Religious Goods Stores
609 5976 Orthopedic Goods and Prosthetic Devices
610 5962 Direct Marketing -- Travel Related Arrangement Services
611 5972 Stamp and Coin Stores
612 5941 Sporting Goods Stores
613 5947 Gift, Card, Novelty, and Souvenir Stores
614 5960 Direct Marketing Insurance Services
615 5935 Wrecking and Salvage Yards
616 5937 Antique Reproduction Stores
617 5950 Glassware and Crystal Stores
618 5966 Outbound Telemarketing Merchant
619 5969 Direct Marketing/Direct Marketers--Not Elsewhere Classified
620 5933 Pawn Shop
621 5945 Hobby, Toy and Game Stores
622 5970 Artist Supply and Craft Stores
623 5943 Stationery, Office and School Supply Stores
624 5948 Luggage and Leather Goods Stores
625 5971 Art Dealers and Galleries
626 5964 Catalog Merchant
627 3247 Gol Airlines - GOL
628 3241 Aviateca (Guatemala)
629 3267 Air Panama International
630 3260 Spirit Airlines - SPIRIT
631 3245 Easy Jet - EASYJET
632 3243 Austrian Air Service
633 3246 Ryan Air - RYANAIR
634 3240 Bahamasair
635 3268 Air Pacific
636 3261 Air China
637 3256 Alaska Airlines Inc.
638 3252 ALM-Antilean Airlines
639 3248 Tam Airlines - TAM
640 3263 Aero Servicio Carabobo
641 3266 Air Seychelles
642 3242 Avensa
643 3239 Bar Harbor Airlines
644 3709 Super 8 Motels
645 3707 Shoney's Inn
646 3714 Four Seasons Hotels-Austr
647 3708 Virgin River Hotel and Casino
648 3717 City Lodge Hotels
649 3716 Carlton Hotels
650 3706 Shilo Inn
651 3712 Buffalo Bill's Hotel and Casino
652 3720 Southern Sun Hotels
653 3704 Royce Hotels
654 3713 Quality Pacific Hotel
655 3705 Sandman Inn
656 3711 Flag Inns (Australia)
657 3719 Protea Hotels
658 3710 The Ritz Carlton Hotels
659 3718 Karos Hotels
660 3715 Fairfield Inn
661 3530 Renaissance Hotels
662 3540 Iberotel Hotels
663 3527 Downtowner Passport
664 3534 Southern Pacific
665 3524 WelcomGroup Hotels
666 3537 ANA Hotels
667 3533 Hotel Ibis
668 3531 Kauai Coconut Beach Resort
669 3538 Concorde Hotels
670 3541 Hotel Okura
671 3536 AMFAC Hotels
672 3529 CP (Canadian Pacific)
673 3526 Prince Hotels
674 3532 Royal Kona Resort
675 3535 Hilton International
676 3539 Summerfield Suites Hotel
677 3528 Red Lion Inns
678 3525 Dunfey Hotels
679 0763 Agricultural Cooperatives
680 1740 Masonry, Stonework, Tile Setting, Plastering, Insulation Contractors
681 0780 Landscaping and Horticultural Services
682 1750 Carpentry
683 1711 Heating, Plumbing, Air Conditioning Contractors
684 2791 Typesetting, Plate Making and Related Services (Business to Business MCC)
685 1731 Electrical Contractors
686 1761 Roof, Siding, and Sheet Metal Work Contractors
687 2741 Miscellaneous Publishing and Printing Services
688 1799 Special Trade Contractor - Not Elsewhere Classified
689 1771 Contractors, Concrete
690 0742 Veterinary Services
691 1520 General Contractor/Residential Building
692 5722 Household Appliance Stores
693 5718 Fireplaces, Fireplace Screens and Accessories Stores
694 5719 Miscellaneous Home Furnishing Specialty Stores
695 5921 Package Stores--Beer, Wine, and Liquor
696 5817 Digital Goods – Applications (Excludes Games)
697 5816 Digital Goods – Games
698 5812 Eating Places and Restaurants
699 5912 Drug Stores and Pharmacies
700 5732 Electronics Stores
701 5813 Drinking Places (Alcoholic Beverages) - Bars, Taverns, Nightclubs, Cocktail Lounges, and Discotheques
702 5735 Record Stores
703 5734 Computer Software Stores
704 5713 Floor coverings, Rugs
705 5814 Quick Payment Service-Fast Food Restaurants
706 5733 Music Stores-Musical Instruments, Pianos, and Sheet Music
707 5931 Used Merchandise and Secondhand Stores
708 5811 Caterers - Prepare & Delivery
709 5818 Large Digital Goods Merchant
710 5714 Drapery, Window Covering, and Upholstery Stores
711 5815 Digital Goods – Media, Books, Movies, Music
712 3229 SAETA
713 3217 CSA-Ceskoslovenske Aeroln
714 3231 SAHSA
715 3228 Cayman Airways
716 3226 Skyways_ Air- SKYWAYS
717 3222 Command Airways
718 3220 Compania Faucett
719 3213 Malmo Aviation - MALMO AV
720 3211 Norwegian Air Shuttle - NORWEGIANAIR
721 3219 Copa
722 3212 Dominicana de Aviacion
723 3206 China Eastern Airlines (Abbr: China East Air)
724 3223 Comair
725 3236 Air Arabia Airlines - Air Arab
726 3204 Freedom Airlines
727 3200 Guyana Airways
728 3221 Transportes Aeros Mil
729 3234 CARIBAIR
730 3207 Empresa Ecuatoriana
731 3691 Dillon Inn
732 3700 Motel 6
733 3703 Residence Inn
734 3689 Consort Hotels
735 3694 Economy Inns of America
736 3693 Drury Inn
737 3699 Midway Motor Lodge
738 3698 Harley Hotels
739 3702 The Registry Hotels
740 3697 Fairfield Hotels
741 3701 La Mansion Del Rio
742 3695 Embassy Suites
743 3690 Courtyard Inns
744 3692 Doubletree
745 3696 Excel Inn
746 6399 Insurance - Not Elsewhere Classified
747 9222 Fines
748 9753 Consumer Electronics/Furniture Store
749 9752 U.K. Petrol Stations, Electronic Hot File
750 9311 Tax Payments
751 9399 Government Services - Not Elsewhere Classified
752 9751 U.K. Supermarkets, Electronic Hot File
753 5262 Marketplaces
754 8931 Accounting, Auditing, and Bookkeeping Services
755 8999 Professional Services - Not Elsewhere Classified
756 2047 Dog and Cat Food Mfg
757 9754 Quasi Cash - Gambling-Horse Racing, Dog Racing, State Lotteries
758 9701 Visa Credential Server
759 9401 i-Purchasing
760 9950 Intra-Company Purchases
761 9700 Automated Referral Service
762 9223 Bail & Bond Payments
763 9211 Court Costs, including Alimony and Child Support
764 9702 GCAS Emergency Services
765 9402 Postal Services
766 9405 U.S. Fed Government Agencies
767 3516 LaQuinta Motor Inns
768 3511 Arabella Hotels
769 3519 Pullman International Hotels
770 3518 Sol Hotels
771 3510 Days Inn Colonial Resort
772 3522 Tokyo Group
773 3508 Quality Inns
774 3509 Marriott
775 3520 Meridien Hotels
776 3523 Peninsula Hotels
777 3512 Intercontinental Hotels
778 3521 Royal Lahaina Resort
779 3506 Golden Tulip Hotels
780 3517 Americana Hotels
781 3514 Amerisuites
782 3513 Westin
783 3515 Rodeway Inn
784 3507 Friendship Inns
785 5592 Motor Home Dealers
786 5681 Furriers & Fur Shops
787 5598 Snowmobile Dealers
788 5611 Men's & Boys' Clothing and Accessory Stores
789 5651 Family Clothing Stores
790 5699 Miscellaneous Apparel and Accessory Stores
791 5697 Tailors, Seamstresses, Mending, Alterations
792 5599 Miscellaneous Automotive, Aircraft, and Farm Equipment Dealers --Not Elsewhere Classified
793 5712 Furniture, Home Furnishings, and Equipment Stores, except Appliances
794 5641 Children's and Infants' Wear Stores
795 5655 Sports and Riding Apparel Stores
796 5631 Women's Accessory and Specialty Stores
797 5698 Wig & Toupee Shops
798 5661 Shoe Stores
799 5621 Women's Ready-to-Wear Stores
800 5691 Men's and Women's Clothing Stores
801 3198 Harbor Airlines
802 3180 Westjet Airlines-WESTJET
803 3178 Mesa Air
804 3196 Hawaiian Air
805 3185 LAV (Venezuela)
806 3177 AirTran Airways
807 3190 Jugoslav Air
808 3181 Malev Hungarian Airlines
809 3183 Oman Aviation - OMAN AIR
810 3186 LAP (Paraguay)
811 3187 LACSA (Costa Rica)
812 3191 Island Airlines
813 3193 Indian Airlines
814 3188 Virgin Express - VIR EXP
815 3199 Servicios Aereos Militares
816 3195 Holiday Airlines
817 3182 LOT (Poland)
818 3184 LIAT
819 3197 Havasu Airlines
820 3685 Budgetel Hotels
821 3682 Sahara Hotel and Casino
822 3671 Arctia Hotels
823 3676 Monte Carlo Hotel and Casino
824 3675 Interhotel CEDOK
825 3678 Cumulus Hotels
826 3673 IBUSZ Hotels
827 3680 Hoteis Othan
828 3688 Compri Hotels
829 3681 Adams Mark Hotels
830 3674 Rantasipi Hotels
831 3684 Budget Hosts Inns
832 3679 Silver Legacy Hotel and Casino
833 3683 Bradbury Suites
834 3686 Suisse Chalet
835 3677 Climat de France Hotels
836 3672 Campanile Hotels
837 3687 Clarion Hotels
838 8299 Schools and Educational Services - Not Elsewhere Classified
839 8641 Civic, Social, and Fraternal Associations
840 8398 Charitable and Social Service Organizations
841 8699 Membership Organizations - Not Elsewhere Classified
842 8675 Automobile Associations
843 8651 Political Organizations
844 8734 Testing Laboratories (Not Medical) - (Business to Business MCC)
845 8661 Religious Organizations
846 8249 Trade and Vocational Schools
847 8244 Business and Secretarial Schools
848 8351 Child Care Services
849 8911 Architectural, Engineering, and Surveying Services
850 3439 Millville Rent-a-Car
851 3441 Advantage Rent A Car
852 3505 Forte Hotels
853 3433 Ugly Duckling R-A-C
854 3435 Value Rent-a-Car
855 3504 Hilton
856 3502 Best Western Hotels
857 3501 Holiday Inns
858 3503 Sheraton
859 3438 Interenet Rent-a-Car
860 3434 USA Rent-a-Car
861 3436 Autohansa Rent-a-Car
862 5310 Discount Store
863 5551 Boat Dealers
864 5531 Auto and Home Supply Stores
865 5541 Service Stations (with or without Ancillary Services)
866 5311 Department Stores
867 5331 Variety Stores
868 5533 Automotive Parts and Accessories Stores
869 5411 Grocery Stores and Supermarkets
870 5571 Motorcycle Dealers
871 5441 Candy, Nut, and Confectionary Stores
872 5462 Bakeries
873 5309 Duty Free Stores
874 5511 Car and Truck Dealers (New and Used)- Sales, Service, Repairs, Parts, and Leasing
875 5300 Wholesale Club with or without membership fee
876 5521 Car and Truck Dealers (Used)- Sales, Service, Repairs, Parts, and Leasing
877 5399 Miscellaneous General Merchandise
878 5422 Freezer & Locker Meat Provisions
879 5532 Automotive Tire Stores
880 5542 Automated Fuel Dispensers
881 5451 Dairy Product Stores
882 5499 Miscellaneous Food Stores-Convenience Stores and Specialty Markets
883 7322 Collection Agency
Payment Method Types
id name
1 Card
2 ElectronicCheck
Payment Processor Statuses
id name
1 Active
2 Inactive
Payment Processor Types
id name
1 TSYS
2 EFT
States
id countryId code name
1 1 AL Alabama
2 1 AK Alaska
3 1 AR Arkansas
4 1 AZ Arizona
5 1 CA California
6 1 CO Colorado
7 1 CT Connecticut
8 1 DC D.C.
9 1 DE Delaware
10 1 FL Florida
11 1 GA Georgia
12 1 HI Hawaii
13 1 IA Iowa
14 1 ID Idaho
15 1 IL Illinois
16 1 IN Indiana
17 1 KS Kansas
18 1 KY Kentucky
19 1 LA Louisiana
20 1 MA Massachusetts
21 1 MD Maryland
22 1 ME Maine
23 1 MI Michigan
24 1 MN Minnesota
25 1 MO Missouri
26 1 MS Mississippi
27 1 MT Montana
28 1 NC North Carolina
29 1 ND North Dakota
30 1 NE Nebraska
31 1 NH New Hampshire
32 1 NJ New Jersey
33 1 NM New Mexico
34 1 NV Nevada
35 1 NY New York
36 1 OK Oklahoma
37 1 OH Ohio
38 1 OR Oregon
39 1 PA Pennsylvania
40 1 RI Rhode Island
41 1 SC South Carolina
42 1 SD South Dakota
43 1 TN Tennessee
44 1 TX Texas
45 1 UT Utah
46 1 VA Virginia
47 1 VT Vermont
48 1 WA Washington
49 1 WI Wisconsin
50 1 WV West Virginia
51 1 WY Wyoming
Payment Session Statuses
id name
1 Created
2 Cancelled
3 Completed
4 Failed
Transaction Statuses
Status Code Status Description Available actions
1 Authorized Transaction status after an approved pre-authorization request Capture, Void
2 Captured Transaction status after aproved sale or capture request Void
3 Voided Transaction status after merchant voids an authorized request or refunds a captured (not settled) request N/A
4 Refunded Transaction status after merchant refunds a settled request N/A
5 Verified NA N/A
6 Settled Transaction status after successful settlement request. All captured transactions should have status changed to settled Refund
7 Partially Authorized Transaction status after an approved pre-authorization request with the approved amount less than initially requested. Indicates that the issuer bank has approved only a portion of the requested payment amount. The exact authorized amount should be checked in the corresponding field. Capture, Void
8 Informational NA N/A
21 Scheduled NA N/A
24 Pending Transaction status while changing status. This is a temporary status N/A
91 Declined Transaction status after a denied pre-authorization, sale or capture request N/A
92 Failed Transaction status after a failure at any type of request N/A
92 Expired Transaction status after 7 days in authorized status (merchant has not captured within this time) N/A
Transaction Types
id name
1 Authorization
2 Sale
3 Capture
4 Void
5 Refund
6 CardAuthentication
7 RefundWORef
8 TipAdjustment
11 AchDebit
12 AchRefund
13 AchHold
14 AchUnHold
15 AchCancel
16 AchCredit

ACH Transactions

The ACH (automated clearing house) transactions endpoints allow creating and managing ACH payments.

These operations support initiating ACH debit and credit transactions, retrieving transaction details, and monitoring transaction status throughout processing. They also provide controls for managing transactions before settlement, such as placing transactions on hold, releasing holds, voiding pending transactions, or issuing refunds as needed.

The following is a typical Aurora ACH workflow.

Authorizing the Payment
The customer authorizes the ACH payment. This includes obtaining obtain NACHA-compliant authorization. NACHA (National Automated Clearing House Association) is the organization that governs the ACH payment network in the United States. It sets the rules and standards for ACH payments.

The customer provides the SEC (standard entry class) code for the payment method. This establishes the form of payment. It can be one of the following:

  • Online form (SEC code WEB)
  • Signed authorization (SEC code PPD)
  • Phone authorization (SEC code TEL)
  • Business payment (SEC code CCD)

And their personal information:

  • Name
  • Their bank's routing number
  • Their bank's account number and account type
  • Authorization confirmation

Creating the Payment
The method can include either a credit or debit transaction:
POST /pay-api/v1/transactions/ach/payment/credit
POST /pay-api/v1/transactions/ach/payment

Submitting the Payment
Creating the ACH (automated clearing house) transaction also submits the request for processing.

Aurora aggregates transactions and sends them to the ODFI (originating bank) in an ACH (automated clearing house) transaction batch. ACH (automated clearing house) transactions are typically not processed individually but rather in as a batch of transactions. That processing is done by the ACH network and batches may take up to two days to clear. Therefore, there may be a delay in processing ACH (automated clearing house) transaction requests. An individual ACH (automated clearing house) transaction may be requested for same day processing. Settlement in those cases may occur within hours. Check with the originating bank for specific policies and fees.

Statusing the Payment
Individual requests will always have an available status that can be checked. These will be noted with the Aurora transaction creator type identifier.

A status check may be submitted at any time. Check the response field status or statusId.
POST {{baseURL}}/pay-api/v1/transactions/{{transactionId}}

A webhook can also be used. A webhook allows one system to automatically send real-time data to another system when a specific event happens. This is an alternative to manually polling the request. Instead, the webhook can be set to check the status of an ACH (automated clearing house) transaction. When the status changes, or reaches a specified status, such as settled, a notification can be sent to the customer.

Holding or Cancelling the Payment
After the ACH (automated clearing house) transaction request has been successfully submitted, the transaction by the put on hold or cancelled. A transaction on hold means the request will not be processed. That transaction must either be released to continue processing or cancelled.
POST {{baseURL}}/pay-api/v1/transactions/ach/{{transactionId}}/hold
POST {{baseURL}}/pay-api/v1/transactions/ach/{{transactionId}}/unhold

A transaction that is cancelled will be withdrawn from further processing. An ACH (automated clearing house) transaction request cannot be cancelled after it has been submitted to the ACH network. This is indicated by it's pending status.
POST {{baseURL}}/pay-api/v1/transactions/ach/{{transactionId}}/void

Settling the Payment
If the ACH (automated clearing house) transaction request is successful, it returns with a status of settled. The merchant receives funds in their settlement account. The ACH (automated clearing house) transaction is completed.

Unsuccessfully Completing the Payment
Banks can reject the payment with ACH return codes. Check the ACH return code for the specific reason.

Refunding the Payment
Refunds may be issued. The ACH (automated clearing house) transaction request must have successfully been resolved and settled.
POST {{baseURL}}/pay-api/v1/transactions/ach/{{transactionId}}/refund

Creates an ACH Credit Payment

POST {{baseURL}}/pay-api/v1/transactions/ach/payment/credit

This endpoint creates a credit ACH (automated clearing house) transaction to transfer funds from the merchant to the customer.

It specifically transfers money from the sender’s bank account to the recipient’s account. This is used in credit operations, such as payouts or refunds without reference. A refund without reference (also called unreferenced refunds) are refunds issued without linking it back to original receipt.

The following is an example of the minimum call.

The endpoint call:

POST {{baseURL}}/pay-api/v1/transactions/ach/payment/credit

The endpoint request body:

{
  "paymentProcessorId": "4acafddf-68a7-4aeb-9778-87582d121307",
  "paymentMethodId": "55419052-670c-497b-a53d-43d21ef45e14",
  "amount": 123.45,
  "secCode": 3,
  "RequesterIpAddress": "2001:0db8:85a3:0000:0000:8a2e:0370:7334"
}

See Also:
To create an ACH debit transaction, see POST /pay-api/v1/transactions/ach/payment

Authorizations:
Bearer
Request Body schema: application/json
amount
required
number <double>

Specifies the payment amount.

Example: 129.99

paymentProcessorId
required
string <uuid>

Specifies the ACHQ (ACH check) payment processor identifier.

Example: f4e41489-aea6-4279-b6f1-e1f9bffd5358

secCode
required
integer <int32> (PaymentGateway.Contracts.Enums.Ach.AchSECCode)
Default: 1


Specifies the SEC (standard entry class) code for the payment method.

Allowed values:

Type ID Entry Type Description
1 Web Internet-initiated/mobile entries. Default value.
2 PPD Prearranged payment and deposit entries.
3 CCD Corporate credit or debit.
4 Telephone Telephone-initiated entries.

Example: 1

requesterIPaddress
required
string [ 1 .. 45 ] characters

Specifies the IP address of the end user.

This is an IPv4 or IPv6 address. This may be the customer, operator, or application responsible for submitting the transaction.

Examples:
192.168.1.1
2001:0db8:85a3:0000:0000:8a2e:0370:7334

paymentMethodId
required
string or null <uuid> (ach_paymentmethodid)

Indentifies the customer payment method identifier.

Example: b6df8625-cd25-4123-b345-638aa7b5d011

customerId
string or null <uuid> (ach_customerid)

Specifies the customer identifier.

Example: 87d8e330-2878-4742-a86f-dbbb3bf522ac

isFasterProcessing
boolean (ach_isfasterprocessing)
Default: false

Specifies ACH (automated clearing house) transaction has same day processing enabled.

Must be empty or null for card subscriptions.

If true, same day processing is enabled.
If false, same day processing is not enabled.

Example: false

routingNumber
string or null (ach_routingnumber)

Specifies the payment target's bank routing number.

Example: 026009593

accountNumber
string or null (ach_accountnumber)

Specifies the payment target's bank account number.

Example: 5413591081013511

taxId
string or null (ach_taxid)

Specifies the customer's tax identifier (TIN).

Example: 98-7654321

accountType
integer <int32> (PaymentGateway.Contracts.Enums.AccountType)

Identifies the account type.

Possible values:

Type ID Account Type Description
1 Checking Checking
2 Savings Savings

Example: 1

accountHolderType
integer <int32> (PaymentGateway.Contracts.Enums.AccountHolderType)

Identifies the account holder type.

Possible values:

Type ID Account Type Description
1 Business Business
2 Personal Personal

Example: 1

object (PaymentGateway.Contracts.Transactions.AddressDto)

Specifies an object defining the address.

city
required
string or null

Specifies the name of the city.

Example: Chicago

countryId
required
integer or null <int32>

Specifies the Aurora country identifier.

Example: 1

line1
string or null

Specifies the street address.

Example: 322 Unicorn Boulevard

line2
string or null

Specifies additional street address information.

Example: Apt. Block 6

postalCode
string or null [ 2 .. 15 ] characters

Specifies the postal or ZIP code.

Examples:
60601
60601-0001

stateName
string or null

Specifies the state identifier (in two-letter USPS [United States Postal Service] postal code).

Examples:
IL
TX
WA

stateId
integer or null <int32>
object (PaymentGateway.Contracts.Transactions.AddressDto)

Specifies an object defining the address.

city
required
string or null

Specifies the name of the city.

Example: Chicago

countryId
required
integer or null <int32>

Specifies the Aurora country identifier.

Example: 1

line1
string or null

Specifies the street address.

Example: 322 Unicorn Boulevard

line2
string or null

Specifies additional street address information.

Example: Apt. Block 6

postalCode
string or null [ 2 .. 15 ] characters

Specifies the postal or ZIP code.

Examples:
60601
60601-0001

stateName
string or null

Specifies the state identifier (in two-letter USPS [United States Postal Service] postal code).

Examples:
IL
TX
WA

stateId
integer or null <int32>
object (PaymentGateway.Contracts.Transactions.ContactInfoDto)

This group contains the customer's contact details.

companyName
required
string

Indicates the customer's company name.

Example: Peppared Street Cafe

firstName
string or null

Indicates the customer's first name.

Example: Alexandro

lastName
string or null

Indicates the customer's last name.

Example: Peppared

email
string or null

Indicates the customer's email.

Example: peppared@example.com

mobilePhoneNumber
string or null <E.164> <= 20 characters ^(null|\+\d{1,20})$

Indicates the customer's mobile phone number.

Example: +15551234567

smsNotification
boolean or null
Default: false

Specifies the customer is sent an SMS notification.

If true, the customer is sent an SMS notification.
If false, the customer is not sent an SMS notification.

Example: true

Responses

Response Schema: application/json
transactionId
string <uuid> (ach_transactionid)

Indicates the transaction identifier.

Example: bf5a1dc7-57b7-4fec-ab09-52c47c1acaff

typeId
integer <int32> (ach_typeid)
type
string or null (ach_type)

Indicates the Aurora ACH transaction type.

Example: CardAuthentication

statusId
integer <int32> (ach_statusid)

Indicates the Aurora ACH transaction status code.

Example: 1

status
string or null (ach_status)

Indicates the Aurora ACH transaction status type.

Example: Authorized

responseDescription
string or null (ach_responsedescription)

Indicates a free-formed description regarding the transaction.

Example: Command Successful. Approved.

responseCode
string or null (ach_responsecode)

Indicates a response code regarding the transaction.

Example: 000

processedAmount
number <double>

Indicates the transaction amount (in USD).

Example: 3500.00

Request samples

Content type
application/json
{
  • "paymentProcessorId": "7a913ba9-724b-4020-8ef1-d3375291f59e",
  • "paymentMethodId": null,
  • "customerId": null,
  • "requesterIPaddress": "2001:0db8:85a3:0000:0000:8a2e:0370:7334",
  • "amount": 123.45,
  • "isFasterProcessing": true,
  • "routingNumber": "026009593",
  • "accountNumber": "9876543210",
  • "taxId": null,
  • "accountHolderType": 1,
  • "accountType": 1,
  • "billingAddress": {
    • "city": "Phoenix",
    • "countryId": 1,
    • "line1": "7429 Desert Mirage Lane",
    • "line2": null,
    • "postalCode": "85099",
    • "stateName": "AZ",
    • "stateId": 4
    },
  • "shippingAddress": {
    • "city": "Phoenix",
    • "countryId": 1,
    • "line1": "7429 Desert Mirage Lane",
    • "line2": "Office 7",
    • "postalCode": "85099",
    • "stateName": "AZ",
    • "stateId": 4
    },
  • "contactInfo": {
    • "firstName": "John",
    • "lastName": "Smith",
    • "companyName": "Aurora",
    • "email": "j.smith29f@example.com",
    • "mobilePhoneNumber": null,
    • "smsNotification": null
    },
  • "secCode": 3
}

Response samples

Content type
application/json
Example

Valid parameters. Approved

{
  • "processedAmount": 0,
  • "transactionId": "5758166f-3608-4625-8dd6-04124a633581",
  • "typeId": 12,
  • "type": "AchRefund",
  • "statusId": 23,
  • "status": "ChargedBack",
  • "responseDescription": "Command Successful. Approved.",
  • "responseCode": "000"
}

Creates an ACH Debit Payment

POST {{baseURL}}/pay-api/v1/transactions/ach/payment

This endpoint creates an ACH (automated clearing house) transaction to transfer funds from the customer to the merchant.

It specifically transfers money from the customer’s bank account to the merchant’s account.

The following is an example of the minimum call.

The endpoint call:

POST {{baseURL}}/pay-api/v1/transactions/ach/payment

The endpoint request body:

{
  "paymentProcessorId": "7a913ba9-724b-4020-8ef1-d3375291f59e",
  "RequesterIpAddress": "2001:0db8:85a3:0000:0000:8a2e:0370:7334",
  "amount": 54.87,
  "secCode": 1,
  "accountHolderType": 1,
  "accountNumber": "123456789",
  "routingNumber": "123123123",
  "accountType": 1,
  "billingAddress": 
  {
      "city": "New York",
      "countryId": 1,
      "line1": "1234 Hudson Avenue",
      "postalCode": "10001",
      "stateName": NY,
      "stateId": 25
  },
  "contactInfo": 
  {
      "firstName": "Alex",
      "lastName": "Morgan",
      "companyName": "Positive",
      "email": "a.morgan@example.com",
      "mobilePhoneNumber": '+14155554618'
  }
}

See Also:
To create an ACH credit transaction, see GET /pay-api/v1/transactions/ach/payment/credit

Authorizations:
Bearer
Request Body schema: application/json
amount
required
number <double>

Specifies the payment amount.

Example: 129.99

paymentProcessorId
required
string <uuid>

Specifies the ACHQ (ACH check) payment processor identifier.

Example: f4e41489-aea6-4279-b6f1-e1f9bffd5358

secCode
required
integer <int32> (PaymentGateway.Contracts.Enums.Ach.AchSECCode)
Default: 1


Specifies the SEC (standard entry class) code for the payment method.

Allowed values:

Type ID Entry Type Description
1 Web Internet-initiated/mobile entries. Default value.
2 PPD Prearranged payment and deposit entries.
3 CCD Corporate credit or debit.
4 Telephone Telephone-initiated entries.

Example: 1

requesterIPaddress
required
string [ 1 .. 45 ] characters

Specifies the IP address of the end user.

This is an IPv4 or IPv6 address. This may be the customer, operator, or application responsible for submitting the transaction.

Examples:
192.168.1.1
2001:0db8:85a3:0000:0000:8a2e:0370:7334

paymentMethodId
string or null <uuid>

Specifies the customer payment method identifier.

Providing this value indicates the transaction uses a stored bank account. If this value is included, customerId must also be included.

Example: b6df8625-cd25-4123-b345-638aa7b5d011

customerId
string or null <uuid>

Specifies the customer identifier.

Providing this value indicates the transaction uses a stored bank account. This value is required if paymentMethodId is provided.
Providing this value without also providing paymentMethodId indicates the transaction does not use a stored bank account. In this case, a new customer will automatically be generated.

Example: 87d8e330-2878-4742-a86f-dbbb3bf522ac

routingNumber
string or null

Specifies the payment target's bank routing number.

This value is required when the transaction is not using using a stored bank account.

Example: 026009593

accountNumber
any or null

Specifies the payment target's bank account number.

This value is required when the transaction is not using using a stored bank account.

Example: 5413591081013511

accountType
integer <int32>

Identifies the account type.

This value is required when the transaction is not using using a stored bank account.

Possible values:

Type ID Account Type Description
1 Checking Checking
2 Savings Savings

Example: 1

accountHolderType
integer <int32>

Identifies the account holder type.

This value is required when the transaction not using using a stored bank account.

Possible values:

Type ID Account Type Description
1 Business Business
2 Personal Personal

Example: 1

object
This object is required when the transaction is not using using a stored bank account.
companyName
required
string

Indicates the customer's company name.

Example: Peppared Street Cafe

firstName
string or null

Indicates the customer's first name.

Example: Alexandro

lastName
string or null

Indicates the customer's last name.

Example: Peppared

email
string or null

Indicates the customer's email.

Example: peppared@example.com

mobilePhoneNumber
string or null <E.164> <= 20 characters ^(null|\+\d{1,20})$

Indicates the customer's mobile phone number.

Example: +15551234567

smsNotification
boolean or null
Default: false

Specifies the customer is sent an SMS notification.

If true, the customer is sent an SMS notification.
If false, the customer is not sent an SMS notification.

Example: true

object
This object is required when the transaction is not using using a stored bank account.
city
required
string or null

Specifies the name of the city.

Example: Chicago

countryId
required
integer or null <int32>

Specifies the Aurora country identifier.

Example: 1

line1
string or null

Specifies the street address.

Example: 322 Unicorn Boulevard

line2
string or null

Specifies additional street address information.

Example: Apt. Block 6

postalCode
string or null [ 2 .. 15 ] characters

Specifies the postal or ZIP code.

Examples:
60601
60601-0001

stateName
string or null

Specifies the state identifier (in two-letter USPS [United States Postal Service] postal code).

Examples:
IL
TX
WA

stateId
integer or null <int32>
object (PaymentGateway.Contracts.Transactions.AddressDto)

Specifies an object defining the address.

city
required
string or null

Specifies the name of the city.

Example: Chicago

countryId
required
integer or null <int32>

Specifies the Aurora country identifier.

Example: 1

line1
string or null

Specifies the street address.

Example: 322 Unicorn Boulevard

line2
string or null

Specifies additional street address information.

Example: Apt. Block 6

postalCode
string or null [ 2 .. 15 ] characters

Specifies the postal or ZIP code.

Examples:
60601
60601-0001

stateName
string or null

Specifies the state identifier (in two-letter USPS [United States Postal Service] postal code).

Examples:
IL
TX
WA

stateId
integer or null <int32>
isFasterProcessing
boolean (ach_isfasterprocessing)
Default: false

Specifies ACH (automated clearing house) transaction has same day processing enabled.

Must be empty or null for card subscriptions.

If true, same day processing is enabled.
If false, same day processing is not enabled.

Example: false

taxId
string or null (ach_taxid)

Specifies the customer's tax identifier (TIN).

Example: 98-7654321

Responses

Response Schema: application/json
transactionId
string <uuid> (ach_transactionid)

Indicates the transaction identifier.

Example: bf5a1dc7-57b7-4fec-ab09-52c47c1acaff

typeId
integer <int32> (ach_typeid)
type
string or null (ach_type)

Indicates the Aurora ACH transaction type.

Example: CardAuthentication

statusId
integer <int32> (ach_statusid)

Indicates the Aurora ACH transaction status code.

Example: 1

status
string or null (ach_status)

Indicates the Aurora ACH transaction status type.

Example: Authorized

responseDescription
string or null (ach_responsedescription)

Indicates a free-formed description regarding the transaction.

Example: Command Successful. Approved.

responseCode
string or null (ach_responsecode)

Indicates a response code regarding the transaction.

Example: 000

processedAmount
number <double>

Indicates the transaction amount (in USD).

Example: 3500.00

Request samples

Content type
application/json
{
  • "paymentProcessorId": "b1390f80-724d-40e6-8790-80c5c7634ee0",
  • "paymentMethodId": null,
  • "customerId": null,
  • "requesterIPaddress": "2001:0db8:85a3:0000:0000:8a2e:0370:7334",
  • "amount": 123.45,
  • "isFasterProcessing": true,
  • "routingNumber": "123123123",
  • "accountNumber": "222222222",
  • "taxId": null,
  • "accountHolderType": 1,
  • "accountType": 1,
  • "billingAddress": {
    • "city": "Phoenix",
    • "countryId": 1,
    • "line1": "7429 Desert Mirage Lane",
    • "line2": null,
    • "postalCode": "85099",
    • "stateName": "AZ",
    • "stateId": 4
    },
  • "shippingAddress": {
    • "city": "Phoenix",
    • "countryId": 1,
    • "line1": "7429 Desert Mirage Lane",
    • "line2": "Office 7",
    • "postalCode": "85099",
    • "stateName": "AZ",
    • "stateId": 4
    },
  • "contactInfo": {
    • "firstName": "John",
    • "lastName": "Smith",
    • "companyName": "Aurora",
    • "email": "j.smith29f@example.com",
    • "mobilePhoneNumber": null,
    • "smsNotification": null
    },
  • "secCode": 1
}

Response samples

Content type
application/json

Valid parameters. Approved

{
  • "processedAmount": 0,
  • "transactionId": "b3edb5a8-e235-4ef7-9003-2343b43c5c41",
  • "typeId": 11,
  • "type": "AchDebit",
  • "statusId": 21,
  • "status": "Scheduled",
  • "responseDescription": "Command Successful. Approved.",
  • "responseCode": "000"
}

Voids an ACH Transaction

POST {{baseURL}}/pay-api/v1/transactions/ach/{{transactionId}}/void

This endpoint voids or cancels an ACH (automated clearing house) transaction payment before it is processed or submitted to the ACH network.

After the transaction payment is submitted to the ACH network, it cannot be voided.

See Also:
To refund a settled ACH transaction, see POST /pay-api/v1/transactions/ach/{{transactionId}}/refund
To place a hold on an ACH transaction, see POST /pay-api/v1/transactions/ach/{{transactionId}}/hold

Authorizations:
Bearer
path Parameters
transactionId
required
string <uuid>
Example: 004db5a8-a153-4334-a0b4-1aa22fbffb3e

Specifies the ACH (automated clearing house) transaction identifier.

This value is returned as transactionId from either of the following endpoints:

  • POST /pay-api/v1/transactions/ach/payment
  • GET /pay-api/v1/transactions/ach/payment/credit

Example: 004db5a8-a153-4334-a0b4-1aa22fbffb3e

Responses

Response Schema: application/json
transactionId
string <uuid> (ach_transactionid)

Indicates the transaction identifier.

Example: bf5a1dc7-57b7-4fec-ab09-52c47c1acaff

typeId
integer <int32> (ach_typeid)
type
string or null (ach_type)

Indicates the Aurora ACH transaction type.

Example: CardAuthentication

statusId
integer <int32> (ach_statusid)

Indicates the Aurora ACH transaction status code.

Example: 1

status
string or null (ach_status)

Indicates the Aurora ACH transaction status type.

Example: Authorized

responseDescription
string or null (ach_responsedescription)

Indicates a free-formed description regarding the transaction.

Example: Command Successful. Approved.

responseCode
string or null (ach_responsecode)

Indicates a response code regarding the transaction.

Example: 000

processedAmount
number <double>

Indicates the transaction amount (in USD).

Example: 3500.00

Response samples

Content type
application/json
Example

Valid parameters. Approved

{
  • "processedAmount": 0,
  • "transactionId": "4300da2c-8a00-48c2-bb9b-d84cf6313b7c",
  • "typeId": 15,
  • "type": "AchDebit",
  • "statusId": 22,
  • "status": "Cancelled",
  • "responseDescription": "Command Successful. Approved.",
  • "responseCode": "000"
}

Places a Hold on an ACH Transaction

POST {{baseURL}}/pay-api/v1/transactions/ach/{{transactionId}}/hold

This endpoint places an ACH (automated clearing house) transaction payment on hold.

This is temporarily paused in processing. It is prevented from being processed or submitted to the ACH network until it is released.

See Also:
To release an ACH transaction payment hold, see POST /pay-api/v1/transactions/ach/{{transactionId}}/unhold.
To void or cancel an ACH transaction that has not been settled, see POST /pay-api/v1/transactions/ach/{{transactionId}}/void

Authorizations:
Bearer
path Parameters
transactionId
required
string <uuid>
Example: 004db5a8-a153-4334-a0b4-1aa22fbffb3e

Specifies the ACH (automated clearing house) transaction identifier.

This value is returned as transactionId from either of the following endpoints:

  • POST /pay-api/v1/transactions/ach/payment
  • GET /pay-api/v1/transactions/ach/payment/credit

Example: 004db5a8-a153-4334-a0b4-1aa22fbffb3e

Responses

Response Schema: application/json
transactionId
string <uuid> (ach_transactionid)

Indicates the transaction identifier.

Example: bf5a1dc7-57b7-4fec-ab09-52c47c1acaff

typeId
integer <int32> (ach_typeid)
type
string or null (ach_type)

Indicates the Aurora ACH transaction type.

Example: CardAuthentication

statusId
integer <int32> (ach_statusid)

Indicates the Aurora ACH transaction status code.

Example: 1

status
string or null (ach_status)

Indicates the Aurora ACH transaction status type.

Example: Authorized

responseDescription
string or null (ach_responsedescription)

Indicates a free-formed description regarding the transaction.

Example: Command Successful. Approved.

responseCode
string or null (ach_responsecode)

Indicates a response code regarding the transaction.

Example: 000

Response samples

Content type
application/json
{
  • "transactionId": "857757f3-9d2b-4204-abe6-c9d95bd41ec0",
  • "typeId": 13,
  • "type": "AchHold",
  • "statusId": 26,
  • "status": "Held",
  • "responseDescription": null,
  • "responseCode": null
}

Removes a Hold from an ACH Transaction

POST {{baseURL}}/pay-api/v1/transactions/ach/{{transactionId}}/unhold

This endpoint removes an ACH (automated clearing house) transaction payment that is on hold.

The ACH transaction resumes being processed and is submitted to the ACH network.

See Also:
To place an ACH transaction payment on hold, see POST //pay-api/v1/transactions/ach/{{transactionId}}/hold

Authorizations:
Bearer
path Parameters
transactionId
required
string <uuid>
Example: 004db5a8-a153-4334-a0b4-1aa22fbffb3e

Specifies the ACH (automated clearing house) transaction identifier.

This value is returned as transactionId from either of the following endpoints:

  • POST /pay-api/v1/transactions/ach/payment
  • GET /pay-api/v1/transactions/ach/payment/credit

Example: 004db5a8-a153-4334-a0b4-1aa22fbffb3e

Responses

Response Schema: application/json
transactionId
string <uuid> (ach_transactionid)

Indicates the transaction identifier.

Example: bf5a1dc7-57b7-4fec-ab09-52c47c1acaff

typeId
integer <int32> (ach_typeid)
type
string or null (ach_type)

Indicates the Aurora ACH transaction type.

Example: CardAuthentication

statusId
integer <int32> (ach_statusid)

Indicates the Aurora ACH transaction status code.

Example: 1

status
string or null (ach_status)

Indicates the Aurora ACH transaction status type.

Example: Authorized

responseDescription
string or null (ach_responsedescription)

Indicates a free-formed description regarding the transaction.

Example: Command Successful. Approved.

responseCode
string or null (ach_responsecode)

Indicates a response code regarding the transaction.

Example: 000

Response samples

Content type
application/json
{
  • "transactionId": "65ab0547-8891-4719-956b-39fecaf41037",
  • "typeId": 14,
  • "type": "AchUnHold",
  • "statusId": 21,
  • "status": "Scheduled",
  • "responseDescription": null,
  • "responseCode": null
}

Categories

Creates a new category

POST {{baseURL}}/pay-int-api/categories

Category Name must be unique in the merchant account.

Authorizations:
Bearer
header Parameters
x-api-version
string
Request Body schema: application/json

The category creation request.

name
string or null

Sets the name of the category.

defaultUnitTypeId
integer or null <int32>

Sets the default unit type identifier for the category.

Responses

Response Schema: application/json
id
string <uuid>

The identifier of the created category.

Request samples

Content type
application/json
{
  • "name": "string",
  • "defaultUnitTypeId": 0
}

Response samples

Content type
application/json
{
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}

Retrieves a list of categories

GET {{baseURL}}/pay-int-api/categories

Authorizations:
Bearer
query Parameters
page
integer <int32>
Default: 0

Specifies the page number of the returned search results.

A page is considered each set of the pageSize value.

The maximum page value is the pageSize divided by the total count rounded up. The count is zero-based. For example, if pageSize is 50 and the total is 130, there are three pages. The maximum page value is 2.

Values above the maximum page value will complete successfully but not return any items.

Example: 0

pageSize
integer <int32>
Default: 15

Specifies the number of items for each page of the returned search results.

A page is considered each set of the pageSize value.

The maximum page value is the pageSize divided by the total count rounded up. The count is zero-based. For example, if pageSize is 50 and the total is 130, there are three pages. The maximum page value is 2.

Example: 50

orderBy
string

Specifies the field the results get ordered by.

The sort order is specified by the asc value.

Example: contactName

asc
boolean
Default: true

Specifies the sort order is ascending.

The sort field is specified by the orderBy value.

If true, the sort order is ascending.
If false, the sort order is descending.

Example: true

search
string

Gets or sets the search query to filter categories.

header Parameters
x-api-version
string

Responses

Response Schema: application/json
Array of objects or null (PaymentIntegrations.Contracts.Categories.Get.GetCategoriesResponseDto)
Array
name
string or null

Gets the name of the category.

id
string <uuid>

Gets the identifier of the category.

defaultUnitTypeId
integer or null <int32>

Gets the default unit type identifier for the category, if any.

itemCount
integer <int32>

Gets the count of items within the category.

total
integer <int32>

Response samples

Content type
application/json
{
  • "items": [
    • {
      • "name": "string",
      • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      • "defaultUnitTypeId": 0,
      • "itemCount": 0
      }
    ],
  • "total": 0
}

Deletes a category by its ID

DELETE {{baseURL}}/pay-int-api/categories/{{categoryId}}

This category will not be available in the catalog.

Items linked to this category will still be in the catalog with empty category.

Authorizations:
Bearer
path Parameters
categoryId
required
string <uuid>

The ID of the category to delete.

header Parameters
x-api-version
string

Responses

Response samples

Content type
application/json
{
  • "details": null,
  • "statusCode": 500,
  • "source": "<Service>",
  • "exceptionType": "Exceptions.IntegrationException",
  • "correlationId": "d0e1f2a3-b4c5-4d6e-7f8a-9b0c1d2e3f69",
  • "entityId": null,
  • "errorCode": null
}

Updates a category by its ID

PUT {{baseURL}}/pay-int-api/categories/{{categoryId}}

The category name must be unique in the merchant account.

Authorizations:
Bearer
path Parameters
categoryId
required
string <uuid>

The ID of the category to update.

header Parameters
x-api-version
string
Request Body schema: application/json

The category update request.

name
string or null

Gets or sets the new name of the category.

defaultUnitTypeId
integer or null <int32>

Gets or sets the default unit type identifier for the category, if it needs to be updated.

Responses

Request samples

Content type
application/json
{
  • "name": "string",
  • "defaultUnitTypeId": 0
}

Response samples

Content type
application/json
{
  • "errors": {
    • "Email": [
      • "'Email' is not a valid email address."
      ]
    },
  • "details": "Validation failed: \n -- Email: 'Email' is not a valid email address. Severity: Error",
  • "statusCode": 400,
  • "source": "<Service>",
  • "exceptionType": "FluentValidation.ValidationException",
  • "correlationId": "f2a3b4c5-d6e7-4f8a-9b0c-1d2e3f4a5b81",
  • "entityId": null,
  • "errorCode": null
}

Configurations

Gets payment configurations

GET {{baseURL}}/pay-api/v1/configurations/payments

This endpoint returns a list of payment configurations.

Authorizations:
Bearer

Responses

Response Schema: application/json
zeroCostProcessingOptionId
integer <int32> (PaymentGateway.Contracts.Enums.ZeroCostProcessingOption)


Identifies the zero cost processing option.

Possible values:

Id Type
1 None
2 CashDiscount
3 DualPricing
4 Surcharge

Example: 3

zeroCostProcessingOption
string or null

Zero cost processing option name.

Possible values:

Id Value
None 1
CashDiscount 2
DualPricing 3
Surcharge 4

Example: DualPricing

defaultTipsOptions
Array of numbers or null <double> [ items <double > [ 0 .. 3 ] items ]

Identifies an array of default, or preselected, tip options.

These values could be displayed on a receipt as preselected tip value options. The client's app and UX needs to support that display. They are presented as a percent alongside the actual money amount. The intent is to present these values from which clients can quickly select a tip amount. They are suggestions presented only as a convenience to the client. The client should able to select any value, a custom value, or no value

These values are configured by the merchant.

Example: [10, 12.0, 15.25, 20.5]

isTipsEnabled
boolean

Indicates tips are enabled.

If true, tips are enabled.
If false, tips are not enabled. Transactions with tip values will fail with a 400 response. This also includes the one-step transaction POST {{baseURL}}/pay-api/v1/transactions/sale.

Tips are enabled or disabled in the Merchant portal (https://auth.arise.risewithaurora.com).

Example: true

defaultSurchargeRate
number or null <double>

Identifies the default surcharge rate.

This value is configured by the merchant.

Example: 3.5

defaultCashDiscountRate
number or null <double>

Identifies the default cash discount rate.

This value is configured by the merchant.

Example: 3.5

defaultDualPricingRate
number or null <double>

Identifies the default dual pricing rate.

Dual pricing is when the merchant displays two prices for the same product. For example, for cash or credit card. The dual pricing rate is the additional charge for the other price, such as with a credit card.

This value is configured by the merchant.

Example: 3.5

Array of objects or null (PaymentGateway.Contracts.Configurations.Payments.GetPaymentConfigurationsResponseDto.EnumDto)


Identifies the available currencies

Array
id
integer <int32>

Indicates the currency identifier.

Example: 1 (for USD)

name
string or null

Indicates the currency (in ISO 4217 alpha-3 currency code format).

Example: USD

Array of objects or null


Available card types.

Array
id
integer <int32>

Indicates the Aurora credit card type identifier code.

Example: 2

name
string or null

Indicates the name of the credit card.

Example: MasterCard

Array of objects or null

Indicates available transactions types.

Array
id
integer <int32>

Indicates the Aurora transaction type identifier code.

Example: 6

name
string or null

Indicates the name of the transaction type..

Example: CardAuthentication

Array of objects or null (PaymentGateway.Contracts.Configurations.Payments.GetPaymentConfigurationsResponseDto.PaymentProcessorDto)


Available payment processors.

Array
id
string <uuid>

Indicates the payment processor identifier.

Example: 965865ef-b17d-4153-b952-d8902e584f7d

name
string or null

Indicates the name of the payment processor.

Example: TSYS

isDefault
boolean

Indicates this is the default payment processor.

If true, this is the default payment processor.
If false, this is not the default payment processor.

Example: true

typeId
integer <int32>

Indicates the payment processor type identifier.

Possible values are:

id name
1 TSYS
2 EFT

Example: 1

type
string or null

Indicates the payment processor type.

Possible values are:

name Id
TSYS 1
EFT 2

Example:TSYS

Array of objects or null (PaymentGateway.Contracts.Configurations.Payments.GetPaymentConfigurationsResponseDto.SettlementBatchTimeSlot)


Indicates an object describing the scheduled time windows for settlement batch processing.

Array
hours
integer <int32>

Indicates the hour of the batch settlement.

Examples:
09
15

minutes
integer <int32>

Indicates the minute of the batch settlement.

Examples:
00
15
49

timezoneName
string or null

Indicates the time zone of the batch settlement.

Example: America/New_York

object (PaymentGateway.Contracts.Configurations.Payments.GetPaymentConfigurationsResponseDto.AvsOptions)
isEnabled
boolean

Indicates the AVS (address verification service) is enabled.

If true, AVS is enabled.
If false, AVS is not enabled.

Example: true

profileId
integer <int32>

Indicates the profile type identifier of the the AVS (address verification service) configuration.

Example: 1

profile
string or null

Indicates the profile type of the the AVS (address verification service) configuration.

The profile type specifies the strictness or leniency of the validation and fraud controls on transactions. Values may include lenient, normal, strict, or custom. The actual values may vary.

Example: strict

isCustomerCardSavingByTerminalEnabled
boolean

Indicates the terminal saves the customer's card after the transaction is processed.

If true, the customer's card is saved.
If false, the customer's card is not saved.

Example: true

companyName
string or null

Indicates the customer's company name.

Example: Peppared Street Cafe

mccCode
string or null

Indicates the MCC (merchant category code).

Example: 28

mccCodeDescription
string or null

Indicates the merchant category code description.

Example: Hospitals

currencyId
integer <int32>

Indicates the currency identifier.

Possible values can be found in AvailableCurrencies.

Example: 1 (for USD)

currencyIsoCode
string or null

Indicates the currency (in ISO 4217 alpha-3 currency code format).

Example: USD

maxTransactionAmount
number or null <double>

Indicates the maximum transaction amount limit.

Example: 32000

Response samples

Content type
application/json
{
  • "zeroCostProcessingOptionId": 1,
  • "zeroCostProcessingOption": null,
  • "defaultTipsOptions": null,
  • "defaultSurchargeRate": null,
  • "defaultCashDiscountRate": null,
  • "defaultDualPricingRate": null,
  • "availableCurrencies": [
    • {
      • "id": 1,
      • "name": "USD"
      }
    ],
  • "availableCardTypes": [
    • {
      • "id": 0,
      • "name": "Unknown"
      },
    • {
      • "id": 1,
      • "name": "Visa"
      },
    • {
      • "id": 2,
      • "name": "MasterCard"
      },
    • {
      • "id": 3,
      • "name": "AmericanExpress"
      },
    • {
      • "id": 4,
      • "name": "DinersClub"
      },
    • {
      • "id": 5,
      • "name": "Discover"
      },
    • {
      • "id": 6,
      • "name": "JCB"
      }
    ],
  • "availableTransactionTypes": [
    • {
      • "id": 2,
      • "name": "Sale"
      },
    • {
      • "id": 3,
      • "name": "Capture"
      },
    • {
      • "id": 5,
      • "name": "Refund"
      },
    • {
      • "id": 4,
      • "name": "Void"
      },
    • {
      • "id": 6,
      • "name": "CardAuthentication"
      },
    • {
      • "id": 7,
      • "name": "RefundWORef"
      },
    • {
      • "id": 8,
      • "name": "TipAdjustment"
      }
    ],
  • "isTipsEnabled": true,
  • "availablePaymentProcessors": [
    • {
      • "id": "9e8d7c6b-5a4f-4e3d-b2c1-0a9b8c7d6e14",
      • "name": "TSYS",
      • "isDefault": true,
      • "typeId": 0,
      • "type": null,
      • "settlementBatchTimeSlots": [
        • {
          • "hours": 2,
          • "minutes": 10,
          • "timezoneName": "America/New_York"
          }
        ]
      }
    ],
  • "avs": {
    • "isEnabled": true,
    • "profileId": 1,
    • "profile": "Strict"
    },
  • "isCustomerCardSavingByTerminalEnabled": false,
  • "companyName": null,
  • "mccCode": null,
  • "mccCodeDescription": null,
  • "currencyId": 1,
  • "currencyIsoCode": null,
  • "maxTransactionAmount": null
}

Gets contact information

GET {{baseURL}}/pay-api/v1/configurations/contact-infos

This endpoint returns the merchant's detailed information.

The list includes contact information records for the merchant, such as address, phone number, and credit cards. This information can be integrated with other endpoints of the application, such as the invoice creation functionality.

Authorizations:
Bearer

Responses

Response Schema: application/json
Array of objects or null (PaymentGateway.Contracts.Configurations.MerchantContactInfos.GetMerchantContactInfosResponse.ContactInfo)

A list of contact information entries associated with the merchant.

Array
id
string <uuid>

The identifier of the contact information record.

Example: 24d5e6f7-8a9b-4c0d-1e2f-3a4b5c6d7e03

addressName
string or null

The name or label of the address.

Examples:
Main Office
Warehouse

addressLine1
string or null

Specifies the street address.

Example: 322 Unicorn Boulevard

addressLine2
string or null

Specifies additional street address information.

Example: Office 3

city
string or null

Indicates the name of the city.

Example: Chicago

zip
string or null

Indicates the postal or ZIP code.

Examples:
60612
60612-0001

countryId
integer <int32>

Specifies the Aurora country identifier.

Example: 1

stateId
integer or null <int32>
stateName
string or null

Indicates the state identifier (in two-letter USPS [United States Postal Service] postal code).

Examples:
TX
WA
IL

email
string or null

The email address associated with this contact information.

businessPhoneNumber
string or null <E.164> <= 20 characters ^(null|\+\d{1,20})$

The business phone number for this contact.

Example: +14155552309

merchantId
string <uuid>

The ID of the merchant to whom this contact information belongs.

isMainAddress
boolean

Indicates whether this is the main address for the merchant.

isDefaultAddress
boolean

Indicates whether this is the default address used for the merchant.

Response samples

Content type
application/json
{
  • "contactInfos": [
    • {
      • "id": "24d5e6f7-8a9b-4c0d-1e2f-3a4b5c6d7e03",
      • "addressName": "Main Office",
      • "addressLine1": "322 Unicorn Boulevard",
      • "addressLine2": "Office 3",
      • "city": "Chicago",
      • "zip": "60612",
      • "countryId": 1,
      • "stateId": 4,
      • "stateName": "TX",
      • "email": "string",
      • "businessPhoneNumber": "+14155552309",
      • "merchantId": "c3073b9d-edd0-49f2-a28d-b7ded8ff9a8b",
      • "isMainAddress": true,
      • "isDefaultAddress": true
      }
    ]
}

Customers

Creates customer

POST {{baseURL}}/pay-api/v1/customers

This endpoint creates a customer.

The return field id is the customerId, also referred to as the customer identifier. Use this value to specify this customer in other endpoints.

See Also:
To search for a customer, see GET /pay-api/v1/customers
To find a customer by identifier, see GET /pay-api/v1/customers/{{customerId}}
To update a customer's information, see PUT /pay-api/v1/customers/{{customerId}}

Authorizations:
Bearer
Request Body schema: application/json
firstName
required
string

Specifies the customer's first name.

Example: Alexandro

lastName
required
string

Indicates the customer's last name.

Example: Peppared

companyName
string or null

Indicates the customer's company name.

Example: Peppared Street Cafe

email
string or null

Indicates the customer's email.

Example: peppared@example.com

mobilePhoneNumber
string or null <E.164> <= 20 characters ^(null|\+\d{1,20})$

Indicates the customer's mobile phone number.

Example: +14155552309

isMobileNumberSmsNotificationsEnabled
boolean

Indicates the customer's SMS notification is enabled.

If true, the customer's SMS notification is enabled.
If false, the customer's SMS notification is not enabled.
If missing or omitted, the information is not available.

Example: true

useBillingAsShippingAddress
boolean

Indicates to use the billing address as the shipping address.

If true, use the billing address as the shipping address.
If false, do not use the billing address as the shipping address. Instead, use the field shippingAddress.

Example: true

object (PaymentGateway.Contracts.Customers.Create.CreateCustomerRequestDto.AddressDto)
addressLine1
string or null

Specifies the street address.

Example: 322 Unicorn Boulevard

addressLine2
string or null

Specifies additional street address information.

Example: Office 3

city
string or null

Specifies the name of the city.

Example: Chicago

zip
string or null

Specifies the postal or ZIP code.

Examples:
60612
60612-0001

stateName
string or null

Indicates the state identifier (in two-letter USPS [United States Postal Service] postal code).

Examples:
TX
WA
IL

stateId
integer or null <int32>
countryId
integer <int32>

Specifies the Aurora country identifier.

Example: 1

object (PaymentGateway.Contracts.Customers.Create.CreateCustomerRequestDto.AddressDto)
addressLine1
string or null

Specifies the street address.

Example: 322 Unicorn Boulevard

addressLine2
string or null

Specifies additional street address information.

Example: Office 3

city
string or null

Specifies the name of the city.

Example: Chicago

zip
string or null

Specifies the postal or ZIP code.

Examples:
60612
60612-0001

stateName
string or null

Indicates the state identifier (in two-letter USPS [United States Postal Service] postal code).

Examples:
TX
WA
IL

stateId
integer or null <int32>
countryId
integer <int32>

Specifies the Aurora country identifier.

Example: 1

Array of objects or null (PaymentGateway.Contracts.Customers.Create.CreateCustomerRequestDto.PaymentMethodCardDto)

Payment methods

Array
name
string or null

Payment method name

pan
string or null

PAN

expirationMonth
integer <int32>

Expiration month

expirationYear
integer <int32>

Expiration year

securityCode
string or null

Security code

Array of objects or null (PaymentGateway.Contracts.Customers.Create.CreateCustomerRequestDto.PaymentMethodAchAccountDto)
Array
name
string or null
accountNumber
string or null

Specifies the payment target's bank account number.

Example: 5413591081013511

routingNumber
string or null
accountType
integer <int32> (PaymentGateway.Contracts.Enums.AccountType)

Identifies the account type.

Possible values:

Type ID Account Type Description
1 Checking Checking
2 Savings Savings

Example: 1

accountHolderType
integer <int32> (PaymentGateway.Contracts.Enums.AccountHolderType)

Identifies the account holder type.

Possible values:

Type ID Account Type Description
1 Business Business
2 Personal Personal

Example: 1

taxId
string or null

Responses

Response Schema: application/json
id
string <uuid>

Indicates the customerId or the customer identifier.

Example: 965865ef-b17d-4153-b952-d8902e584f7d

Request samples

Content type
application/json
{
  • "firstName": "George",
  • "lastName": "Black",
  • "companyName": "Company Name",
  • "email": "company@example.com",
  • "mobilePhoneNumber": "+14155554618",
  • "isMobileNumberSmsNotificationsEnabled": true,
  • "useBillingAsShippingAddress": false,
  • "billingAddress": {
    • "addressLine1": "7429 Desert Mirage Lane",
    • "addressLine2": "Office 7",
    • "city": "Phoenix",
    • "zip": "60612-0001",
    • "stateName": null,
    • "stateId": 1,
    • "countryId": 1
    },
  • "shippingAddress": {
    • "addressLine1": "7429 Desert Mirage Lane",
    • "addressLine2": "Office 7",
    • "city": "Phoenix",
    • "zip": "60612-0001",
    • "stateName": null,
    • "stateId": 1,
    • "countryId": 1
    },
  • "paymentMethodsCards": [
    • {
      • "name": "Payment_method1",
      • "pan": "444466666655555",
      • "expirationMonth": 1,
      • "expirationYear": 24,
      • "securityCode": "345"
      },
    • {
      • "name": "Payment_method2",
      • "pan": "1234567890123",
      • "expirationMonth": 4,
      • "expirationYear": 25,
      • "securityCode": null
      }
    ],
  • "paymentMethodsAchAccounts": null
}

Response samples

Content type
application/json
{
  • "id": "965865ef-b17d-4153-b952-d8902e584f7d"
}

Searches customers

GET {{baseURL}}/pay-api/v1/customers

This endpoint searches the partner's customers.

The search can specify filters to better target intended customers.

See Also:
To find a customer by identifier, see GET /pay-api/v1/customers/{{customerId}}
To create a customer, see POST /pay-api/v1/customers
To delete a customer, see DELETE /pay-api/v1/customers/{{customerId}}
To update a customer's information, see PUT /pay-api/v1/customers/{{customerId}}

Navigation: [ Headers ] [ Query ] [ Request body ] [ Response body ] [ Response codes ]
Authorizations:
Bearer
query Parameters
search
string

Specifies the search string.

The following are fields commonly searched on, but not limited to this list. The search string may appear in any of these fields. The field does not have to be specified. However, if the results are to be sorted, that sort field must be specified. Use the field orderby to specify the sort field.

firstName
lastName
companyName
email
mobilePhoneNumber
id
createdOn
lastTransactionDate
contactName

Example: Conners Electric

customerIds
string <uuid>
Example: customerIds=c4b210e9-be39-4ebc-8195-0c422de87f90

Specifies a single customer's identifier.

orderBy
string

Specifies the field the results get ordered by.

The sort order is specified by the asc value.

Example: contactName

asc
boolean
Default: true

Specifies the sort order is ascending.

The sort field is specified by the orderBy value.

If true, the sort order is ascending.
If false, the sort order is descending.

Example: true

dateFrom
string <date-time>
Example: dateFrom=2025-01-27T12:05:54.322587+05:30

Specifies returning items on or after this date (in an ISO 8601 date-time format).

[...]
